
    create table ACQUISITION_LEVEL (
        ACQUIS_LEVEL_CD VARCHAR2(40) not null,
        ACQUIS_LEVEL_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (ACQUIS_LEVEL_CD)
    );

    create table AGE_GROUP (
        AGE_GROUP_CD VARCHAR2(40) not null,
        AGE_GROUP_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (AGE_GROUP_CD)
    );

    create table ALTERNATIVE_TAXON (
        ALTERN_TAXON_ID NUMBER(18) not null,
        ALTERN_TAXON_CD VARCHAR2(40) not null,
        UPDATE_DT TIMESTAMP not null,
        ALTERN_TAXON_ORIGIN_CD VARCHAR2(40) not null,
        TAXON_NAME_ID NUMBER(18) not null,
        primary key (ALTERN_TAXON_ID)
    );

    create table ALTERNATIVE_TAXON_ORIGIN (
        ALTERN_TAXON_ORIGIN_CD VARCHAR2(40) not null,
        ALTERN_TAXON_ORIGIN_NM VARCHAR2(100) not null,
        ALTERN_TAXON_ORIGIN_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        primary key (ALTERN_TAXON_ORIGIN_CD)
    );

    create table ANALYSIS_INSTRUMENT (
        ANAL_INST_ID NUMBER(18) not null,
        ANAL_INST_NM VARCHAR2(100) not null,
        ANAL_INST_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (ANAL_INST_ID)
    );

    create table APPLIED_PERIOD (
        APPLIED_PERIOD_START_DT DATE not null,
        APPLIED_STRAT_ID NUMBER(18) not null,
        APPLIED_PERIOD_END_DT DATE not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (APPLIED_PERIOD_START_DT, APPLIED_STRAT_ID)
    );

    create table APPLIED_STRATEGY (
        APPLIED_STRAT_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        TAXON_GROUP_ID NUMBER(18),
        REF_TAXON_ID NUMBER(18),
        MON_LOC_ID NUMBER(18) not null,
        STRAT_ID NUMBER(18) not null,
        FREQ_CD VARCHAR2(40),
        DEP_ID NUMBER(18),
        primary key (APPLIED_STRAT_ID)
    );

    create table AUTHOR (
        AUTHOR_ID NUMBER(18) not null,
        AUTHOR_NM VARCHAR2(100),
        AUTHOR_LOCAL VARCHAR2(255),
        AUTHOR_CM VARCHAR2(2000),
        AUTHOR_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (AUTHOR_ID)
    );

    create table AUTHOR_REF_DOC (
        AUTHOR_ID NUMBER(18) not null,
        REF_DOC_ID NUMBER(18) not null,
        primary key (REF_DOC_ID, AUTHOR_ID)
    );

    create table BATCH (
        BATCH_ID NUMBER(18) not null,
        BATCH_NM VARCHAR2(100) not null,
        BATCH_LB VARCHAR2(50) not null,
        BATCH_EXPER_COND VARCHAR2(255),
        BATCH_BREEDING_STRUCTUR_UNIT NUMBER(38,15),
        BATCH_BREEDING_SYSTEM_UNIT NUMBER(38,15),
        BATCH_CM VARCHAR2(2000),
        BATCH_CONTROL_DT DATE,
        BATCH_VALID_DT DATE,
        BATCH_QUALIF_DT DATE,
        BATCH_QUALIF_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        MON_LOC_ID NUMBER(18) not null,
        BREEDING_SYSTEM_CD VARCHAR2(40) not null,
        BREEDING_STRUCT_CD VARCHAR2(40) not null,
        DEPTH_LEVEL_ID NUMBER(18),
        INIT_POP_ID NUMBER(18) not null,
        QUAL_FLAG_CD VARCHAR2(40) not null,
        primary key (BATCH_ID)
    );

    create table BREEDING_PHASE_TYPE (
        BREEDING_PHASE_TYPE_CD VARCHAR2(40) not null,
        BREEDING_PHASE_TYPE_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (BREEDING_PHASE_TYPE_CD)
    );

    create table BREEDING_STRUCTURE (
        BREEDING_STRUCT_CD VARCHAR2(40) not null,
        BREEDING_STRUCT_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (BREEDING_STRUCT_CD)
    );

    create table BREEDING_SYSTEM (
        BREEDING_SYSTEM_CD VARCHAR2(40) not null,
        BREEDING_SYSTEM_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (BREEDING_SYSTEM_CD)
    );

    create table BUG_REPORT (
        BUG_ID NUMBER(18) not null,
        BUG_SUMMARY VARCHAR2(100),
        BUG_DESCRIPTION VARCHAR2(2000),
        BUG_REPORTER_NAME VARCHAR2(100),
        BUG_STATUS VARCHAR2(100),
        BUG_CATEGORY VARCHAR2(100),
        BUG_PRIORITY VARCHAR2(100),
        BUG_SEVERITY VARCHAR2(100),
        BUG_SUBMITTED_DATE DATE,
        BUG_UPDATED_DATE DATE,
        BUG_WISHED_DATE DATE,
        BUG_CLOSED_DATE DATE,
        BUG_PRODUCT_VERSION VARCHAR2(100),
        BUG_FIXED_VERSION VARCHAR2(100),
        primary key (BUG_ID)
    );

    create table CAMPAIGN (
        CAMPAIGN_ID NUMBER(18) not null,
        CAMPAIGN_SISMER_LK VARCHAR2(40),
        CAMPAIGN_START_DT DATE not null,
        CAMPAIGN_END_DT DATE,
        CAMPAIGN_NM VARCHAR2(100) not null,
        CAMPAIGN_CM VARCHAR2(2000),
        CAMPAIGN_POSITION_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        QUSER_ID NUMBER(18) not null,
        SHIP_ID NUMBER(18),
        POS_SYSTEM_ID NUMBER(18),
        REC_DEP_ID NUMBER(18) not null,
        primary key (CAMPAIGN_ID)
    );

    create table CAMPAIGN_AREA (
        CAMPAIGN_ID NUMBER(18) not null,
        CAMPAIGN_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (CAMPAIGN_ID)
    );

    create table CAMPAIGN_LINE (
        CAMPAIGN_ID NUMBER(18) not null,
        CAMPAIGN_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (CAMPAIGN_ID)
    );

    create table CAMPAIGN_POINT (
        CAMPAIGN_ID NUMBER(18) not null,
        CAMPAIGN_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (CAMPAIGN_ID)
    );

    create table CAMPAIGN_PROG (
        CAMPAIGN_ID NUMBER(18) not null,
        PROG_CD VARCHAR2(40) not null,
        primary key (CAMPAIGN_ID, PROG_CD)
    );

    create table CITATION (
        CIT_ID NUMBER(18) not null,
        CIT_NM VARCHAR2(255),
        CIT_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (CIT_ID)
    );

    create table CLASSIFIED_SHELLFISH_AREA (
        CLAS_SHELLFISH_AREA_ID NUMBER(18) not null,
        CLAS_SHELLFISH_AREA_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (CLAS_SHELLFISH_AREA_ID)
    );

    create table CODE_SIZE (
        CODE_SIZE_ID NUMBER(18) not null,
        TABLE_NAME VARCHAR2(30) not null,
        COLUMN_NAME VARCHAR2(30) not null,
        COLUMN_SIZE NUMBER(2) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (CODE_SIZE_ID)
    );

    create table COMPLIANT_OS (
        COMPLIANT_OS_CD VARCHAR2(40) not null,
        COMPLIANT_OS_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (COMPLIANT_OS_CD)
    );

    create table COMPUTE_FUNCTION (
        COMP_FUNCTION_CD VARCHAR2(40) not null,
        COMP_FUNCTION_NM VARCHAR2(100) not null,
        COMP_FUNCTION_PROC_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (COMP_FUNCTION_CD)
    );

    create table COMPUTE_FUNCTION_PROG (
        PROG_CD VARCHAR2(40) not null,
        COMP_FUNCTION_CD VARCHAR2(40) not null,
        primary key (COMP_FUNCTION_CD, PROG_CD)
    );

    create table COMPUTE_MEASUREMENT (
        COMP_MEAS_ID NUMBER(18) not null,
        MEAS_ID NUMBER(18),
        TAXON_MEAS_ID NUMBER(18),
        DEP_MEAS_ID NUMBER(18),
        DEP_TAXON_MEAS_ID NUMBER(18),
        UPDATE_DT TIMESTAMP not null,
        COMP_FUNCTION_CD VARCHAR2(40) not null,
        primary key (COMP_MEAS_ID)
    );

    create table CONTEXT (
        CONTEXT_ID NUMBER(18) not null,
        CONTEXT_NM VARCHAR2(100) not null,
        CONTEXT_DC VARCHAR2(255),
        CONTEXT_IS_DEFAULT VARCHAR2(1),
        CONTEXT_SURVEY_ORDER NUMBER(38,15),
        CONTEXT_TAXON_DISPLAY NUMBER(38,15),
        CONTEXT_INIT_POP_ORDER NUMBER(38,15),
        CONTEXT_PLUG_ZONE NUMBER(38,7),
        CONTEXT_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        MAP_PROJECT_ID NUMBER(18),
        QUSER_ID NUMBER(18),
        ORDER_ITEM_TYPE_CD VARCHAR2(40),
        primary key (CONTEXT_ID)
    );

    create table CONTEXT_DEP (
        CONTEXT_ID NUMBER(18) not null,
        DEP_ID NUMBER(18) not null,
        primary key (CONTEXT_ID, DEP_ID)
    );

    create table CONTEXT_FILTER (
        CONTEXT_ID NUMBER(18) not null,
        FILTER_ID NUMBER(18) not null,
        primary key (CONTEXT_ID, FILTER_ID)
    );

    create table COORDINATES_TRANSFORMATION (
        COORD_TRANS_ID NUMBER(18) not null,
        COORD_TRANS_SOFTWARE VARCHAR2(255) not null,
        COORD_TRANS_METHOD VARCHAR2(255),
        COORD_TRANS_RESULTS VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        POS_SYSTEM_ID NUMBER(18) not null,
        INIT_PROJ_SYSTEM_CD VARCHAR2(40) not null,
        END_PROJ_SYSTEM_CD VARCHAR2(40) not null,
        primary key (COORD_TRANS_ID)
    );

    create table DEFAULT_VALUE (
        DEFAULT_VALUE_ID NUMBER(18) not null,
        DEFAULT_VALUE_CLASS VARCHAR2(255) not null,
        DEFAULT_VALUE_FIELD VARCHAR2(255) not null,
        DEFAULT_VALUE_VALUE VARCHAR2(255) not null,
        UPDATE_DT TIMESTAMP not null,
        CONTEXT_ID NUMBER(18) not null,
        primary key (DEFAULT_VALUE_ID)
    );

    create table DELETED_ITEM_HISTORY (
        DEL_ITEM_HIST_ID NUMBER(18) not null,
        OBJECT_ID NUMBER(19),
        OBJECT_CD VARCHAR2(40),
        DEL_ITEM_HIST_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        OBJECT_TYPE_CD VARCHAR2(40) not null,
        REC_DEP_ID NUMBER(18),
        REC_QUSER_ID NUMBER(18),
        primary key (DEL_ITEM_HIST_ID)
    );

    create table DEPARTMENT (
        DEP_ID NUMBER(18) not null,
        DEP_CD VARCHAR2(40) not null,
        DEP_NM VARCHAR2(255) not null,
        DEP_DC VARCHAR2(255),
        DEP_E_MAIL VARCHAR2(255),
        DEP_ADDRESS VARCHAR2(255),
        DEP_PHONE VARCHAR2(255),
        DEP_LDAP_PRESENT VARCHAR2(1),
        DEP_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        PARENT_DEP_ID NUMBER(18),
        primary key (DEP_ID)
    );

    create table DEPARTMENT_PRIVILEGE (
        DEP_ID NUMBER(18) not null,
        PRIVILEGE_CD VARCHAR2(40) not null,
        primary key (PRIVILEGE_CD, DEP_ID)
    );

    create table DEPENDANT_PARAMETER (
        PAR_CD VARCHAR2(40) not null,
        COMP_FUNCTION_CD VARCHAR2(40) not null,
        primary key (COMP_FUNCTION_CD, PAR_CD)
    );

    create table DEPTH_LEVEL (
        DEPTH_LEVEL_ID NUMBER(18) not null,
        DEPTH_LEVEL_NM VARCHAR2(100) not null,
        DEPTH_LEVEL_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (DEPTH_LEVEL_ID)
    );

    create table DEP_MET (
        MET_CD VARCHAR2(40) not null,
        DEP_ID NUMBER(18) not null,
        primary key (MET_CD, DEP_ID)
    );

    create table DOCUMENT_TYPE (
        DOC_TYPE_CD VARCHAR2(40) not null,
        DOC_TYPE_NM VARCHAR2(100) not null,
        DOC_TYPE_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (DOC_TYPE_CD)
    );

    create table DREDGING_AREA_TYPE (
        DREDGING_AREA_TYPE_CD VARCHAR2(40) not null,
        DREDGING_AREA_TYPE_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40),
        primary key (DREDGING_AREA_TYPE_CD)
    );

    create table DREDGING_TARGET_AREA (
        DREDGING_TARGET_AREA_CD VARCHAR2(40) not null,
        DREDGING_TARGET_AREA_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        DREDGING_AREA_TYPE_CD VARCHAR2(40) not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (DREDGING_TARGET_AREA_CD)
    );

    create table EUNIS_EQUIVALENCE (
        EUNIS_EQUIV_ID NUMBER(18) not null,
        EUNIS_EQUIV_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        EUNIS_EQUIV_CODE_TYP_CD VARCHAR2(40) not null,
        OLD_EUNIS_TYP_ID NUMBER(18) not null,
        NEW_EUNIS_TYP_ID NUMBER(18) not null,
        primary key (EUNIS_EQUIV_ID)
    );

    create table EUNIS_EQUIV_CODE_TYPOLOGY (
        EUNIS_EQUIV_CODE_TYP_CD VARCHAR2(40) not null,
        EUNIS_EQUIV_CODE_TYP_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (EUNIS_EQUIV_CODE_TYP_CD)
    );

    create table EUNIS_TYPOLOGY (
        EUNIS_TYP_ID NUMBER(18) not null,
        EUNIS_TYP_CD VARCHAR2(40) not null,
        EUNIS_TYP_NM VARCHAR2(100) not null,
        EUNIS_TYP_LEVEL NUMBER(12),
        UPDATE_DT TIMESTAMP not null,
        PARENT_EUNIS_TYP_ID NUMBER(18),
        EUNIS_VERSION_ID NUMBER(18) not null,
        primary key (EUNIS_TYP_ID)
    );

    create table EUNIS_VERSION (
        EUNIS_VERSION_ID NUMBER(18) not null,
        EUNIS_VERSION_DT DATE,
        EUNIS_VERSION_NM VARCHAR2(100) not null,
        EUNIS_VERSION_CM VARCHAR2(2000),
        EUNIS_VERSION_IS_CURRENT VARCHAR2(1),
        UPDATE_DT TIMESTAMP not null,
        primary key (EUNIS_VERSION_ID)
    );

    create table EVENT (
        EVENT_ID NUMBER(18) not null,
        EVENT_DC VARCHAR2(255) not null,
        EVENT_CM VARCHAR2(2000),
        EVENT_START_DT DATE not null,
        EVENT_END_DT DATE,
        EVENT_POSITION_CM VARCHAR2(2000),
        EVENT_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        EVENT_TYPE_ID NUMBER(18) not null,
        POS_SYSTEM_ID NUMBER(18),
        REC_DEP_ID NUMBER(18) not null,
        primary key (EVENT_ID)
    );

    create table EVENT_AREA (
        EVENT_ID NUMBER(18) not null,
        EVENT_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (EVENT_ID)
    );

    create table EVENT_LINE (
        EVENT_ID NUMBER(18) not null,
        EVENT_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (EVENT_ID)
    );

    create table EVENT_POINT (
        EVENT_ID NUMBER(18) not null,
        EVENT_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (EVENT_ID)
    );

    create table EVENT_SURVEY (
        EVENT_ID NUMBER(18) not null,
        SURVEY_ID NUMBER(18) not null,
        primary key (SURVEY_ID, EVENT_ID)
    );

    create table EVENT_TYPE (
        EVENT_TYPE_ID NUMBER(18) not null,
        EVENT_TYPE_NM VARCHAR2(100) not null,
        EVENT_TYPE_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (EVENT_TYPE_ID)
    );

    create table EXTRACT_AGREGATION_LEVEL (
        EXTRACT_AGREG_LEVEL_CD VARCHAR2(40) not null,
        EXTRACT_AGREG_LEVEL_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (EXTRACT_AGREG_LEVEL_CD)
    );

    create table EXTRACT_FIELD (
        EXTRACT_FIELD_ID NUMBER(18) not null,
        EXTRACT_FIELD_NM VARCHAR2(100) not null,
        EXTRACT_FIELD_RANK NUMBER(12) not null,
        EXTRACT_FIELD_SORT_TYPE VARCHAR2(4),
        UPDATE_DT TIMESTAMP not null,
        OBJECT_TYPE_CD VARCHAR2(40) not null,
        EXTRACT_FILTER_ID NUMBER(18) not null,
        primary key (EXTRACT_FIELD_ID)
    );

    create table EXTRACT_FILE_TYPE (
        EXTRACT_FILE_TYPE_CD VARCHAR2(40) not null,
        EXTRACT_FILE_TYPE_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (EXTRACT_FILE_TYPE_CD)
    );

    create table EXTRACT_FILTER (
        EXTRACT_FILTER_ID NUMBER(18) not null,
        EXTRACT_FILTER_NM VARCHAR2(100) not null,
        EXTRACT_FILTER_IN_SITU VARCHAR2(1),
        EXTRACT_FILTER_IS_QUALIF VARCHAR2(1),
        EXTRACT_FILTER_IS_JAN VARCHAR2(1),
        EXTRACT_FILTER_IS_FEB VARCHAR2(1),
        EXTRACT_FILTER_IS_MAR VARCHAR2(1),
        EXTRACT_FILTER_IS_APR VARCHAR2(1),
        EXTRACT_FILTER_IS_MAY VARCHAR2(1),
        EXTRACT_FILTER_IS_JUN VARCHAR2(1),
        EXTRACT_FILTER_IS_JUL VARCHAR2(1),
        EXTRACT_FILTER_IS_AUG VARCHAR2(1),
        EXTRACT_FILTER_IS_SEP VARCHAR2(1),
        EXTRACT_FILTER_IS_OCT VARCHAR2(1),
        EXTRACT_FILTER_IS_NOV VARCHAR2(1),
        EXTRACT_FILTER_IS_DEC VARCHAR2(1),
        EXTRACT_FILTER_MIN_X NUMBER(38,7),
        EXTRACT_FILTER_MIN_Y NUMBER(38,7),
        EXTRACT_FILTER_MAX_X NUMBER(38,7),
        EXTRACT_FILTER_MAX_Y NUMBER(38,7),
        UPDATE_DT TIMESTAMP not null,
        EXTRACT_TABLE_TYPE_CD VARCHAR2(40),
        EXTRACT_AGREG_LEVEL_CD VARCHAR2(40),
        PROJ_SYSTEM_CD VARCHAR2(40),
        QUSER_ID NUMBER(18),
        primary key (EXTRACT_FILTER_ID)
    );

    create table EXTRACT_FILT_EXTR_FILE_TYPE (
        EXTRACT_FILTER_ID NUMBER(18) not null,
        EXTRACT_FILE_TYPE_CD VARCHAR2(40) not null,
        primary key (EXTRACT_FILTER_ID, EXTRACT_FILE_TYPE_CD)
    );

    create table EXTRACT_FILT_EXTR_GR_TYPE_PMFM (
        EXTRACT_FILTER_ID NUMBER(18) not null,
        EXTRACT_GROUP_TYPE_PMFM_CD VARCHAR2(40) not null,
        primary key (EXTRACT_FILTER_ID, EXTRACT_GROUP_TYPE_PMFM_CD)
    );

    create table EXTRACT_GROUP_TYPE_PMFM (
        EXTRACT_GROUP_TYPE_PMFM_CD VARCHAR2(40) not null,
        EXTRACT_GROUP_TYPE_PMFM_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (EXTRACT_GROUP_TYPE_PMFM_CD)
    );

    create table EXTRACT_SELECTED_GEOMETRY (
        EXTRACT_SELECTED_GEOMETRY_ID NUMBER(18) not null,
        EXTRACT_SEL_GEOM_SESSION VARCHAR2(40) not null,
        EXTRACT_SEL_GEOM_DT DATE,
        primary key (EXTRACT_SELECTED_GEOMETRY_ID)
    );

    create table EXTRACT_SURVEY_PERIOD (
        EXTRACT_SURVEY_PERIOD_ID NUMBER(18) not null,
        EXTRACT_SURVEY_PERIOD_START_DT DATE not null,
        EXTRACT_SURVEY_PERIOD_END_DT DATE not null,
        UPDATE_DT TIMESTAMP not null,
        EXTRACT_FILTER_ID NUMBER(18) not null,
        primary key (EXTRACT_SURVEY_PERIOD_ID)
    );

    create table EXTRACT_TABLE (
        EXTRACT_TABLE_ID NUMBER(18) not null,
        EXTRACT_TABLE_NAME VARCHAR2(40) not null,
        EXTRACT_TABLE_USER VARCHAR2(40) not null,
        EXTRACT_TABLE_DATE DATE,
        primary key (EXTRACT_TABLE_ID)
    );

    create table EXTRACT_TABLE_TYPE (
        EXTRACT_TABLE_TYPE_CD VARCHAR2(40) not null,
        EXTRACT_TABLE_TYPE_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (EXTRACT_TABLE_TYPE_CD)
    );

    create table FIELD_OBSERVATION (
        FIELD_OBSERV_ID NUMBER(18) not null,
        FIELD_OBSERV_NM VARCHAR2(100),
        FIELD_OBSERV_CM VARCHAR2(2000),
        FIELD_OBSERV_VALID_DT DATE,
        FIELD_OBSERV_QUALIF_DT DATE,
        FIELD_OBSERV_QUALIF_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        SURVEY_ID NUMBER(18) not null,
        REC_DEP_ID NUMBER(18) not null,
        OBSERV_TYP_CD VARCHAR2(40) not null,
        QUAL_FLAG_CD VARCHAR2(40) not null,
        primary key (FIELD_OBSERV_ID)
    );

    create table FILTER (
        FILTER_ID NUMBER(18) not null,
        FILTER_NM VARCHAR2(50),
        FILTER_IS_DEFAULT VARCHAR2(1),
        FILTER_IS_EXTRACT VARCHAR2(1),
        FILTER_MIN_X NUMBER(38,7),
        FILTER_MIN_Y NUMBER(38,7),
        FILTER_MAX_X NUMBER(38,7),
        FILTER_MAX_Y NUMBER(38,7),
        UPDATE_DT TIMESTAMP not null,
        DEP_ID NUMBER(18),
        QUSER_ID NUMBER(18) not null,
        FILTER_TYPE_ID NUMBER(18) not null,
        EXTRACT_FILTER_ID NUMBER(18),
        primary key (FILTER_ID)
    );

    create table FILTER_BLOCK (
        FILTER_BLOCK_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        FILTER_ID NUMBER(18) not null,
        primary key (FILTER_BLOCK_ID)
    );

    create table FILTER_CRITERIA (
        FILTER_CRIT_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        FILTER_CRIT_TYPE_ID NUMBER(18) not null,
        FILTER_OPER_TYPE_ID NUMBER(18) not null,
        FILTER_BLOCK_ID NUMBER(18) not null,
        primary key (FILTER_CRIT_ID)
    );

    create table FILTER_CRITERIA_TYPE (
        FILTER_CRIT_TYPE_ID NUMBER(18) not null,
        FILTER_CRIT_TYPE_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (FILTER_CRIT_TYPE_ID)
    );

    create table FILTER_CRITERIA_VALUE (
        FILTER_CRIT_VALUE_ID NUMBER(18) not null,
        FILTER_CRIT_VALUE_NM VARCHAR2(2000) not null,
        UPDATE_DT TIMESTAMP not null,
        FILTER_CRIT_ID NUMBER(18) not null,
        primary key (FILTER_CRIT_VALUE_ID)
    );

    create table FILTER_OPERATOR_TYPE (
        FILTER_OPER_TYPE_ID NUMBER(18) not null,
        FILTER_OPER_TYPE_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (FILTER_OPER_TYPE_ID)
    );

    create table FILTER_TYPE (
        FILTER_TYPE_ID NUMBER(18) not null,
        FILTER_TYPE_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (FILTER_TYPE_ID)
    );

    create table FRACTION (
        FRACTION_ID NUMBER(18) not null,
        FRACTION_NM VARCHAR2(100) not null,
        FRACTION_DC VARCHAR2(255),
        FRACTION_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (FRACTION_ID)
    );

    create table FRACTION_MATRIX (
        FRACTION_ID NUMBER(18) not null,
        MATRIX_ID NUMBER(18) not null,
        primary key (MATRIX_ID, FRACTION_ID)
    );

    create table FREQUENCY (
        FREQ_CD VARCHAR2(40) not null,
        FREQ_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (FREQ_CD)
    );

    create table FUNCTION (
        FUNCTION_ID NUMBER(18) not null,
        FUNCTION_NM VARCHAR2(100) not null,
        FUNCTION_JAVA_FUNCTION_CLASS VARCHAR2(255) not null,
        FUNCTION_CREATION_DT DATE not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (FUNCTION_ID)
    );

    create table FUNCTION_PARAMETER (
        FUNCTION_PAR_ID NUMBER(18) not null,
        FUNCTION_PAR_NM VARCHAR2(100) not null,
        FUNCTION_PAR_JAVA_PAR_NM VARCHAR2(100) not null,
        FUNCTION_PAR_CLASS VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        FUNCTION_ID NUMBER(18) not null,
        primary key (FUNCTION_PAR_ID)
    );

    create table HARBOUR (
        HARBOUR_CD VARCHAR2(40) not null,
        HARBOUR_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (HARBOUR_CD)
    );

    create table HISTORICAL_ACCOUNT (
        HIST_ACCOUNT_ID NUMBER(18) not null,
        HIST_ACCOUNT_START_DT DATE not null,
        HIST_ACCOUNT_END_DT DATE not null,
        HIST_ACCOUNT_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        BREEDING_PHASE_TYPE_CD VARCHAR2(40) not null,
        DEP_ID NUMBER(18),
        INIT_POP_ID NUMBER(18) not null,
        PROD_SECTOR_ID NUMBER(18),
        BREEDING_STRUCT_CD VARCHAR2(40) not null,
        MON_LOC_ID NUMBER(18),
        BREEDING_SYSTEM_CD VARCHAR2(40) not null,
        primary key (HIST_ACCOUNT_ID)
    );

    create table INITIAL_POPULATION (
        INIT_POP_ID NUMBER(18) not null,
        INIT_POP_NM VARCHAR2(100) not null,
        INIT_POP_LB VARCHAR2(50) not null,
        INIT_POP_CM VARCHAR2(2000),
        INIT_POP_QUALIF_DT DATE,
        INIT_POP_QUALIF_CM VARCHAR2(2000),
        INIT_POP_VALID_DT DATE,
        INIT_POP_CONTROL_DT DATE,
        INIT_POP_START_DT DATE not null,
        INIT_POP_BIOMETRIC_INDIV_NB NUMBER(12) not null,
        UPDATE_DT TIMESTAMP not null,
        PLOIDY_ID NUMBER(18),
        QUAL_FLAG_CD VARCHAR2(40) not null,
        REF_TAXON_ID NUMBER(18) not null,
        AGE_GROUP_CD VARCHAR2(40) not null,
        primary key (INIT_POP_ID)
    );

    create table INIT_POP_PROG (
        INIT_POP_ID NUMBER(18) not null,
        PROG_CD VARCHAR2(40) not null,
        primary key (INIT_POP_ID, PROG_CD)
    );

    create table JOB (
        JOB_ID NUMBER(18) not null,
        JOB_NM VARCHAR2(100) not null,
        JOB_STATUS VARCHAR2(10) not null,
        JOB_START_DT DATE not null,
        JOB_END_DT DATE,
        JOB_TYPE_NM VARCHAR2(100) not null,
        JOB_LOG VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        QUSER_ID NUMBER(18),
        primary key (JOB_ID)
    );

    create table LOCATION (
        LOC_ID NUMBER(18) not null,
        LOC_LB VARCHAR2(50) not null,
        LOC_NM VARCHAR2(100) not null,
        LOC_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        primary key (LOC_ID)
    );

    create table LOC_POINT (
        LOC_POINT_ID NUMBER(18) not null,
        LOC_POSITION MDSYS.SDO_GEOMETRY not null,
        LOC_ID NUMBER(18) not null,
        primary key (LOC_POINT_ID)
    );

    create table MAP_PROJECT (
        MAP_PROJECT_ID NUMBER(18) not null,
        MAP_PROJECT_NM VARCHAR2(100) not null,
        MAP_PROJET_CONFIG VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        DEP_ID NUMBER(18),
        QUSER_ID NUMBER(18) not null,
        primary key (MAP_PROJECT_ID)
    );

    create table MATRIX (
        MATRIX_ID NUMBER(18) not null,
        MATRIX_NM VARCHAR2(100) not null,
        MATRIX_DC VARCHAR2(255),
        MATRIX_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (MATRIX_ID)
    );

    create table MEASURED_PROFILE (
        MEAS_PROF_ID NUMBER(18) not null,
        MEAS_PROF_DC VARCHAR2(255),
        MEAS_PROF_UPLOAD VARCHAR2(1),
        MEAS_PROF_CREATION_DT DATE not null,
        UPDATE_DT TIMESTAMP not null,
        MEAS_PROF_VALID_DT DATE,
        MEAS_PROF_QUALIF_DT DATE,
        MEAS_PROF_QUALIF_CM VARCHAR2(2000),
        SURVEY_ID NUMBER(18),
        QUAL_FLAG_CD VARCHAR2(40),
        REC_DEP_ID NUMBER(18) not null,
        primary key (MEAS_PROF_ID)
    );

    create table MEASUREMENT (
        MEAS_ID NUMBER(18) not null,
        OBJECT_ID NUMBER(18) not null,
        MEAS_INDIV_ID NUMBER(18),
        MEAS_NUMER_VALUE NUMBER(38,7),
        MEAS_PRECISION_VALUE NUMBER(38,7),
        MEAS_DIGIT_NUMBER NUMBER(38,15),
        MEAS_CONTROL_DT DATE,
        MEAS_VALID_DT DATE,
        MEAS_QUALIF_DT DATE,
        MEAS_QUALIF_CM VARCHAR2(2000),
        MEAS_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        PAR_CD VARCHAR2(40),
        MATRIX_ID NUMBER(18),
        FRACTION_ID NUMBER(18),
        METHOD_ID NUMBER(18),
        SAMPLE_ID NUMBER(18),
        OBJECT_TYPE_CD VARCHAR2(40) not null,
        REC_DEP_ID NUMBER(18),
        ANAL_INST_ID NUMBER(18),
        DEP_ID NUMBER(18),
        QUAL_FLAG_CD VARCHAR2(40) not null,
        PMFM_ID NUMBER(18) not null,
        PREC_TYPE_ID NUMBER(18),
        NUM_PREC_ID NUMBER(18),
        QUAL_VALUE_ID NUMBER(18),
        SURVEY_ID NUMBER(18),
        SAMPLING_OPER_ID NUMBER(18),
        primary key (MEAS_ID)
    );

    create table MEASUREMENT_FILE (
        MEAS_FILE_ID NUMBER(18) not null,
        OBJECT_ID NUMBER(18) not null,
        MEAS_FILE_PATH_NM VARCHAR2(255) not null,
        MEAS_FILE_NM VARCHAR2(100),
        MEAS_FILE_CM VARCHAR2(2000),
        MEAS_FILE_VALID_DT DATE,
        MEAS_FILE_CONTROL_DT DATE,
        MEAS_FILE_QUALIF_DT DATE,
        MEAS_FILE_QUALIF_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        PAR_CD VARCHAR2(40),
        MATRIX_ID NUMBER(18),
        FRACTION_ID NUMBER(18),
        METHOD_ID NUMBER(18),
        SAMPLE_ID NUMBER(18),
        OBJECT_TYPE_CD VARCHAR2(40) not null,
        QUAL_FLAG_CD VARCHAR2(40) not null,
        DEP_ID NUMBER(18),
        PMFM_ID NUMBER(18) not null,
        ANAL_INST_ID NUMBER(18),
        REC_DEP_ID NUMBER(18),
        SURVEY_ID NUMBER(18),
        SAMPLING_OPER_ID NUMBER(18),
        primary key (MEAS_FILE_ID)
    );

    create table MEAS_PROF_PROG (
        MEAS_PROF_ID NUMBER(18) not null,
        PROG_CD VARCHAR2(40) not null,
        primary key (MEAS_PROF_ID, PROG_CD)
    );

    create table METAPROGRAMME (
        MET_CD VARCHAR2(40) not null,
        MET_NM VARCHAR2(100) not null,
        MET_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        primary key (MET_CD)
    );

    create table METHOD (
        METHOD_ID NUMBER(18) not null,
        METHOD_NM VARCHAR2(100) not null,
        METHOD_DC VARCHAR2(255),
        METHOD_CONDITION VARCHAR2(2000),
        METHOD_PREPAR VARCHAR2(2000),
        METHOD_CONSERV VARCHAR2(2000),
        METHOD_REF VARCHAR2(2000),
        METHOD_RK VARCHAR2(12) not null,
        METHOD_HANDBOOK_PATH_NM VARCHAR2(255),
        METHOD_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (METHOD_ID)
    );

    create table MONITORING_LOCATION (
        MON_LOC_ID NUMBER(18) not null,
        MON_LOC_NM VARCHAR2(100) not null,
        MON_LOC_BATHYM NUMBER(38,7),
        MON_LOC_CM VARCHAR2(2000),
        MON_LOC_LB VARCHAR2(50),
        MON_LOC_UT_FORMAT NUMBER(38,15),
        MON_LOC_DAYLIGHT_SAVING_TIME VARCHAR2(1),
        MON_LOC_POSITION_PATH_NM VARCHAR2(100),
        MON_LOC_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        HARBOUR_CD VARCHAR2(40),
        POS_SYSTEM_ID NUMBER(18) not null,
        primary key (MON_LOC_ID)
    );

    create table MON_LOC_AREA (
        MON_LOC_ID NUMBER(18) not null,
        MON_LOC_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (MON_LOC_ID)
    );

    create table MON_LOC_HIS_GEOM (
        MON_LOC_HIS_GEOM_ID NUMBER(18) not null,
        MON_LOC_POSITION MDSYS.SDO_GEOMETRY not null,
        UPDATE_DT TIMESTAMP not null,
        POS_SYSTEM_ID NUMBER(18) not null,
        MON_LOC_ID NUMBER(18) not null,
        primary key (MON_LOC_HIS_GEOM_ID)
    );

    create table MON_LOC_LINE (
        MON_LOC_ID NUMBER(18) not null,
        MON_LOC_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (MON_LOC_ID)
    );

    create table MON_LOC_MET (
        MON_LOC_MET_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        MON_LOC_ID NUMBER(18) not null,
        MET_CD VARCHAR2(40) not null,
        primary key (MON_LOC_MET_ID)
    );

    create table MON_LOC_ORDER_ITEM (
        ORDER_ITEM_ID NUMBER(18) not null,
        MON_LOC_ID NUMBER(18) not null,
        MON_LOC_ORDER_ITEM_NUMBER NUMBER(38,15) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (ORDER_ITEM_ID, MON_LOC_ID)
    );

    create table MON_LOC_PMFM_MET (
        MON_LOC_MET_ID NUMBER(18) not null,
        PMFM_MET_ID NUMBER(18) not null,
        primary key (PMFM_MET_ID, MON_LOC_MET_ID)
    );

    create table MON_LOC_POINT (
        MON_LOC_ID NUMBER(18) not null,
        MON_LOC_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (MON_LOC_ID)
    );

    create table MON_LOC_PROG (
        MON_LOC_PROG_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        PROG_CD VARCHAR2(40) not null,
        MON_LOC_ID NUMBER(18) not null,
        primary key (MON_LOC_PROG_ID)
    );

    create table MORATORIUM (
        MOR_ID NUMBER(18) not null,
        MOR_DC VARCHAR2(255) not null,
        MOR_IS_GLOBAL VARCHAR2(1),
        MOR_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        PROG_CD VARCHAR2(40) not null,
        primary key (MOR_ID)
    );

    create table MOR_CAMP (
        CAMPAIGN_ID NUMBER(18) not null,
        MOR_ID NUMBER(18) not null,
        primary key (CAMPAIGN_ID, MOR_ID)
    );

    create table MOR_MON_LOC_PROG (
        MOR_ID NUMBER(18) not null,
        MON_LOC_PROG_ID NUMBER(18) not null,
        primary key (MOR_ID, MON_LOC_PROG_ID)
    );

    create table MOR_OCCAS (
        OCCAS_ID NUMBER(18) not null,
        MOR_ID NUMBER(18) not null,
        primary key (OCCAS_ID, MOR_ID)
    );

    create table MOR_PERIOD (
        MOR_PER_START_DT DATE not null,
        MOR_ID NUMBER(18) not null,
        MOR_PER_END_DT DATE not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (MOR_PER_START_DT, MOR_ID)
    );

    create table NUMERICAL_PRECISION (
        NUM_PREC_ID NUMBER(18) not null,
        NUM_PREC_NM VARCHAR2(100) not null,
        NUM_PREC_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (NUM_PREC_ID)
    );

    create table OBJECT_TYPE (
        OBJECT_TYPE_CD VARCHAR2(40) not null,
        OBJECT_TYPE_NM VARCHAR2(100) not null,
        OBJECT_TYPE_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        primary key (OBJECT_TYPE_CD)
    );

    create table OBSERVATION_TYPOLOGY (
        OBSERV_TYP_CD VARCHAR2(40) not null,
        OBSERV_TYP_NM VARCHAR2(100) not null,
        OBSERV_TYP_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (OBSERV_TYP_CD)
    );

    create table OBSERVED_HABITAT (
        OBSERVED_HABITAT_ID NUMBER(18) not null,
        OBSERV_HAB_CM VARCHAR2(2000),
        OBSERV_HAB_VALID_DT DATE,
        OBSERV_HAB_QUALIF_DT DATE,
        OBSERV_HAB_QUALIF_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        QUAL_FLAG_CD VARCHAR2(40) not null,
        EUNIS_TYP_ID NUMBER(18) not null,
        REC_DEP_ID NUMBER(18),
        SURVEY_ID NUMBER(18) not null,
        primary key (OBSERVED_HABITAT_ID)
    );

    create table OCCASION (
        OCCAS_ID NUMBER(18) not null,
        OCCAS_DT DATE not null,
        OCCAS_NM VARCHAR2(100) not null,
        OCCAS_CM VARCHAR2(2000),
        OCCAS_POSITION_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        REC_DEP_ID NUMBER(18) not null,
        CAMPAIGN_ID NUMBER(18) not null,
        POS_SYSTEM_ID NUMBER(18),
        SHIP_ID NUMBER(18),
        primary key (OCCAS_ID)
    );

    create table OCCAS_AREA (
        OCCAS_ID NUMBER(18) not null,
        OCCAS_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (OCCAS_ID)
    );

    create table OCCAS_LINE (
        OCCAS_ID NUMBER(18) not null,
        OCCAS_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (OCCAS_ID)
    );

    create table OCCAS_POINT (
        OCCAS_ID NUMBER(18) not null,
        OCCAS_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (OCCAS_ID)
    );

    create table OCCAS_QUSER (
        OCCAS_ID NUMBER(18) not null,
        QUSER_ID NUMBER(18) not null,
        primary key (OCCAS_ID, QUSER_ID)
    );

    create table ORDER_ITEM (
        ORDER_ITEM_ID NUMBER(18) not null,
        ORDER_ITEM_CD VARCHAR2(40) not null,
        ORDER_ITEM_NM VARCHAR2(100) not null,
        ORDER_ITEM_NUMBER NUMBER(38,15) not null,
        UPDATE_DT TIMESTAMP not null,
        ORDER_ITEM_TYPE_CD VARCHAR2(40) not null,
        primary key (ORDER_ITEM_ID)
    );

    create table ORDER_ITEM_TYPE (
        ORDER_ITEM_TYPE_CD VARCHAR2(40) not null,
        ORDER_ITEM_TYPE_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (ORDER_ITEM_TYPE_CD)
    );

    create table ORIGINAL_BATCH (
        BATCH_ID NUMBER(18) not null,
        INIT_POP_ID NUMBER(18) not null,
        primary key (INIT_POP_ID, BATCH_ID)
    );

    create table PARAMETER (
        PAR_CD VARCHAR2(40) not null,
        PAR_NM VARCHAR2(100),
        PAR_DC VARCHAR2(255),
        PAR_IS_QUALITATIVE VARCHAR2(1),
        PAR_IS_CALCULATED VARCHAR2(1),
        PAR_IS_TAXONOMIC VARCHAR2(1),
        PAR_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        PAR_GROUP_ID NUMBER(18) not null,
        primary key (PAR_CD)
    );

    create table PARAMETER_GROUP (
        PAR_GROUP_ID NUMBER(18) not null,
        PAR_GROUP_NM VARCHAR2(100) not null,
        PAR_GROUP_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        PARENT_PAR_GROUP_ID NUMBER(18),
        primary key (PAR_GROUP_ID)
    );

    create table PHOTO (
        PHOTO_ID NUMBER(18) not null,
        OBJECT_ID NUMBER(18) not null,
        PHOTO_NM VARCHAR2(100),
        PHOTO_DIR_DC VARCHAR2(255),
        PHOTO_CM VARCHAR2(2000),
        PHOTO_LK VARCHAR2(255),
        PHOTO_DT DATE,
        PHOTO_VALID_DT DATE,
        PHOTO_QUALIF_DT DATE,
        PHOTO_QUALIF_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        PHOTO_TYPE_CD VARCHAR2(40),
        QUAL_FLAG_CD VARCHAR2(40),
        OBJECT_TYPE_CD VARCHAR2(40) not null,
        REC_DEP_ID NUMBER(18) not null,
        primary key (PHOTO_ID)
    );

    create table PHOTO_TYPE (
        PHOTO_TYPE_CD VARCHAR2(40) not null,
        PHOTO_TYPE_NM VARCHAR2(100) not null,
        PHOTO_TYPE_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (PHOTO_TYPE_CD)
    );

    create table PLOIDY (
        PLOIDY_ID NUMBER(18) not null,
        PLOIDY_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (PLOIDY_ID)
    );

    create table PMFM (
        PMFM_ID NUMBER(18) not null,
        PMFM_DETECTION_THRESHOLD NUMBER(38,7),
        PMFM_MAXIMUM_NUMBER_DECIMALS NUMBER(12),
        PMFM_SIGNIF_FIGURES_NUMBER NUMBER(18),
        UPDATE_DT TIMESTAMP not null,
        UNIT_ID NUMBER(18) not null,
        MATRIX_ID NUMBER(18) not null,
        FRACTION_ID NUMBER(18) not null,
        PAR_CD VARCHAR2(40) not null,
        METHOD_ID NUMBER(18) not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (PMFM_ID)
    );

    create table PMFM_APPLIED_STRATEGY (
        PMFM_STRAT_ID NUMBER(18) not null,
        APPLIED_STRAT_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        DEP_ID NUMBER(18),
        ANAL_INST_ID NUMBER(18),
        primary key (PMFM_STRAT_ID, APPLIED_STRAT_ID)
    );

    create table PMFM_CONTEXT_ORDER (
        CONTEXT_ID NUMBER(18) not null,
        PMFM_ID NUMBER(18) not null,
        PMFM_CONTEXT_ORDER_PRES_RK NUMBER(12),
        UPDATE_DT TIMESTAMP not null,
        primary key (CONTEXT_ID, PMFM_ID)
    );

    create table PMFM_MET (
        PMFM_MET_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        FRACTION_ID NUMBER(18),
        MATRIX_ID NUMBER(18),
        METHOD_ID NUMBER(18),
        MET_CD VARCHAR2(40) not null,
        PAR_CD VARCHAR2(40) not null,
        primary key (PMFM_MET_ID)
    );

    create table PMFM_MOR (
        PMFM_MOR_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        METHOD_ID NUMBER(18),
        FRACTION_ID NUMBER(18),
        MOR_ID NUMBER(18) not null,
        PAR_CD VARCHAR2(40) not null,
        MATRIX_ID NUMBER(18),
        primary key (PMFM_MOR_ID)
    );

    create table PMFM_QUAL_VALUE (
        QUAL_VALUE_ID NUMBER(18) not null,
        PMFM_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (QUAL_VALUE_ID, PMFM_ID)
    );

    create table PMFM_STRATEGY (
        PMFM_STRAT_ID NUMBER(18) not null,
        PMFM_STRAT_PAR_ACQUIS_NUMBER NUMBER(38,15) not null,
        PMFM_STRAT_PRES_RK NUMBER(12),
        PMFM_STRAT_PAR_IS_INDIV VARCHAR2(1),
        PMFM_STRAT_IS_UNIQUE_BY_TAXON VARCHAR2(1),
        UPDATE_DT TIMESTAMP not null,
        PMFM_ID NUMBER(18) not null,
        PREC_TYPE_ID NUMBER(18),
        STRAT_ID NUMBER(18) not null,
        primary key (PMFM_STRAT_ID)
    );

    create table PMFM_STRAT_ACQUIS_LEVEL (
        PMFM_STRAT_ID NUMBER(18) not null,
        ACQUIS_LEVEL_CD VARCHAR2(40) not null,
        primary key (PMFM_STRAT_ID, ACQUIS_LEVEL_CD)
    );

    create table PMFM_STRAT_UI_FUNCTION (
        PMFM_STRAT_ID NUMBER(18) not null,
        UI_FUNCTION_CD VARCHAR2(40) not null,
        primary key (UI_FUNCTION_CD, PMFM_STRAT_ID)
    );

    create table POSITIONNING_SYSTEM (
        POS_SYSTEM_ID NUMBER(18) not null,
        POS_SYSTEM_NM VARCHAR2(100) not null,
        POS_SYSTEM_COORD_PRECISION VARCHAR2(255),
        POS_SYSTEM_VALID_DT DATE,
        POS_SYSTEM_ABSOL_PLANIM_ACCUR VARCHAR2(255) not null,
        POS_SYSTEM_ABSOL_VERT_ACCUR VARCHAR2(255),
        POS_SYSTEM_SCALE NUMBER(12),
        UPDATE_DT TIMESTAMP not null,
        POS_TYPE_CD VARCHAR2(40) not null,
        primary key (POS_SYSTEM_ID)
    );

    create table POSITIONNING_TYPE (
        POS_TYPE_CD VARCHAR2(40) not null,
        POS_TYPE_NM VARCHAR2(100) not null,
        POS_TYPE_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (POS_TYPE_CD)
    );

    create table PRECISION_TYPE (
        PREC_TYPE_ID NUMBER(18) not null,
        PREC_TYPE_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (PREC_TYPE_ID)
    );

    create table PRIVILEGE (
        PRIVILEGE_CD VARCHAR2(40) not null,
        PRIVILEGE_NM VARCHAR2(100) not null,
        PRIVILEGE_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (PRIVILEGE_CD)
    );

    create table PRIVILEGE_TRANSFER (
        PRIV_TRANSFER_TO_DEP_ID NUMBER(18) not null,
        PRIV_TRANSFER_FROM_DEP_ID NUMBER(18) not null,
        PRIV_TRANSFER_DT DATE not null,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (PRIV_TRANSFER_TO_DEP_ID, PRIV_TRANSFER_FROM_DEP_ID)
    );

    create table PRODUCTION_SECTOR (
        PROD_SECTOR_ID NUMBER(18) not null,
        PROD_SECTOR_NM VARCHAR2(100) not null,
        PROD_SECTOR_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (PROD_SECTOR_ID)
    );

    create table PROD_SECTOR_AREA (
        PROD_SECTOR_AREA_ID NUMBER(18) not null,
        PROD_SECTOR_POSITION MDSYS.SDO_GEOMETRY not null,
        PROD_SECTOR_ID NUMBER(18) not null,
        primary key (PROD_SECTOR_AREA_ID)
    );

    create table PROGRAMME (
        PROG_CD VARCHAR2(40) not null,
        PROG_NM VARCHAR2(100) not null,
        PROG_DC VARCHAR2(255),
        PROG_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (PROG_CD)
    );

    create table PROGRAMME_PRIVILEGE (
        PROG_PRIV_ID NUMBER(18) not null,
        PROG_PRIV_NM VARCHAR2(100) not null,
        PROG_PRIV_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        primary key (PROG_PRIV_ID)
    );

    create table PROG_DEP_PROG_PRIV (
        DEP_ID NUMBER(18) not null,
        PROG_CD VARCHAR2(40) not null,
        PROG_PRIV_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (DEP_ID, PROG_CD, PROG_PRIV_ID)
    );

    create table PROG_MEAS (
        MEAS_ID NUMBER(18) not null,
        PROG_CD VARCHAR2(40) not null,
        primary key (MEAS_ID, PROG_CD)
    );

    create table PROG_MEAS_FILE (
        MEAS_FILE_ID NUMBER(18) not null,
        PROG_CD VARCHAR2(40) not null,
        primary key (MEAS_FILE_ID, PROG_CD)
    );

    create table PROG_MET (
        MET_CD VARCHAR2(40) not null,
        PROG_CD VARCHAR2(40) not null,
        primary key (MET_CD, PROG_CD)
    );

    create table PROG_QUSER_PROG_PRIV (
        PROG_CD VARCHAR2(40) not null,
        QUSER_ID NUMBER(18) not null,
        PROG_PRIV_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (PROG_CD, QUSER_ID, PROG_PRIV_ID)
    );

    create table PROG_TAXON_MEAS (
        TAXON_MEAS_ID NUMBER(18) not null,
        PROG_CD VARCHAR2(40) not null,
        primary key (TAXON_MEAS_ID, PROG_CD)
    );

    create table PROJECTION_SYSTEM (
        PROJ_SYSTEM_CD VARCHAR2(40) not null,
        PROJ_SYSTEM_NM VARCHAR2(100) not null,
        PROJ_SYSTEM_MIN_X NUMBER(38,7) not null,
        PROJ_SYSTEM_MAX_X NUMBER(38,7) not null,
        PROJ_SYSTEM_MIN_Y NUMBER(38,7) not null,
        PROJ_SYSTEM_MAX_Y NUMBER(38,7) not null,
        UPDATE_DT TIMESTAMP not null,
        UNIT_ID NUMBER(18) not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (PROJ_SYSTEM_CD)
    );

    create table QUALIFICATION_HISTORY (
        QUAL_HIST_ID NUMBER(18) not null,
        QUAL_HIST_ELEMENT_ID VARCHAR2(77) not null,
        QUAL_HIST_OPERATION_CM VARCHAR2(2000),
        QUAL_HIST_PREVIOUS_VALUE NUMBER(38,7),
        QUAL_HIST_PREVIOUS_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        OBJECT_TYPE_CD VARCHAR2(40) not null,
        REF_TAXON_ID NUMBER(18),
        QUAL_VALUE_ID NUMBER(18),
        TAXON_GROUP_ID NUMBER(18),
        QUAL_FLAG_CD VARCHAR2(40),
        QUSER_ID NUMBER(18) not null,
        primary key (QUAL_HIST_ID)
    );

    create table QUALITATIVE_VALUE (
        QUAL_VALUE_ID NUMBER(18) not null,
        QUAL_VALUE_NM VARCHAR2(100) not null,
        QUAL_VALUE_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        PAR_CD VARCHAR2(40) not null,
        primary key (QUAL_VALUE_ID)
    );

    create table QUALITY_FLAG (
        QUAL_FLAG_CD VARCHAR2(40) not null,
        QUAL_FLAG_NM VARCHAR2(100) not null,
        QUAL_FLAG_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (QUAL_FLAG_CD)
    );

    create table QUSER (
        QUSER_ID NUMBER(18) not null,
        QUSER_CD VARCHAR2(40),
        QUSER_LAST_NM VARCHAR2(100) not null,
        QUSER_FIRST_NM VARCHAR2(100) not null,
        QUSER_INTRANET_LG VARCHAR2(40) not null,
        QUSER_EXTRANET_LG VARCHAR2(40),
        QUSER_E_MAIL VARCHAR2(255),
        QUSER_ADDRESS VARCHAR2(255),
        QUSER_PHONE VARCHAR2(255),
        QUSER_ORGAN VARCHAR2(255),
        QUSER_ADMIN_CENTER VARCHAR2(255),
        QUSER_SITE VARCHAR2(255),
        QUSER_LDAP_PRESENT VARCHAR2(1),
        QUSER_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        DEP_ID NUMBER(18) not null,
        primary key (QUSER_ID)
    );

    create table QUSER_MET (
        MET_CD VARCHAR2(40) not null,
        QUSER_ID NUMBER(18) not null,
        primary key (MET_CD, QUSER_ID)
    );

    create table QUSER_PRIVILEGE (
        QUSER_ID NUMBER(18) not null,
        PRIVILEGE_CD VARCHAR2(40) not null,
        primary key (PRIVILEGE_CD, QUSER_ID)
    );

    create table REFERENCE_DOCUMENT (
        REF_DOC_ID NUMBER(18) not null,
        REF_DOC_REFER VARCHAR2(255),
        REF_DOC_DT DATE,
        REF_DOC_CM VARCHAR2(2000),
        REF_DOC_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (REF_DOC_ID)
    );

    create table REFERENCE_TAXON (
        REF_TAXON_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (REF_TAXON_ID)
    );

    create table RESOURCE_TYPE (
        RES_TYPE_ID NUMBER(18) not null,
        RES_TYPE_NM VARCHAR2(100) not null,
        RES_TYPE_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (RES_TYPE_ID)
    );

    create table RESP_DEP_INIT_POP (
        DEP_ID NUMBER(18) not null,
        INIT_POP_ID NUMBER(18) not null,
        primary key (INIT_POP_ID, DEP_ID)
    );

    create table RESP_DEP_STRAT (
        STRAT_ID NUMBER(18) not null,
        DEP_ID NUMBER(18) not null,
        primary key (STRAT_ID, DEP_ID)
    );

    create table RESP_QUSER_INIT_POP (
        INIT_POP_ID NUMBER(18) not null,
        QUSER_ID NUMBER(18) not null,
        primary key (INIT_POP_ID, QUSER_ID)
    );

    create table RESP_QUSER_STRAT (
        STRAT_ID NUMBER(18) not null,
        QUSER_ID NUMBER(18) not null,
        primary key (STRAT_ID, QUSER_ID)
    );

    create table RULE (
        RULE_CD VARCHAR2(40) not null,
        RULE_CONTROLED_ATTRIBUT VARCHAR2(100) not null,
        RULE_DC VARCHAR2(255),
        RULE_IS_ACTIVE VARCHAR2(1),
        RULE_IS_BLOCKING VARCHAR2(1),
        RULE_ERROR_MSG VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        RULE_LIST_CD VARCHAR2(40),
        FUNCTION_ID NUMBER(18) not null,
        primary key (RULE_CD)
    );

    create table RULE_LIST (
        RULE_LIST_CD VARCHAR2(40) not null,
        RULE_LIST_DC VARCHAR2(255) not null,
        RULE_LIST_IS_ACTIVE VARCHAR2(1) not null,
        RULE_LIST_FIRST_MONTH DATE,
        RULE_LIST_LAST_MONTH DATE,
        RULE_LIST_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        primary key (RULE_LIST_CD)
    );

    create table RULE_LIST_CONTROLED_DEP (
        RULE_LIST_CD VARCHAR2(40) not null,
        DEP_ID NUMBER(18) not null,
        primary key (RULE_LIST_CD, DEP_ID)
    );

    create table RULE_LIST_PROG (
        PROG_CD VARCHAR2(40) not null,
        RULE_LIST_CD VARCHAR2(40) not null,
        primary key (RULE_LIST_CD, PROG_CD)
    );

    create table RULE_LIST_RESP_DEP (
        RULE_LIST_CD VARCHAR2(40) not null,
        DEP_ID NUMBER(18) not null,
        primary key (RULE_LIST_CD, DEP_ID)
    );

    create table RULE_LIST_RESP_QUSER (
        QUSER_ID NUMBER(18) not null,
        RULE_LIST_CD VARCHAR2(40) not null,
        primary key (RULE_LIST_CD, QUSER_ID)
    );

    create table RULE_PARAMETER (
        RULE_PAR_ID NUMBER(18) not null,
        RULE_PAR_VALUE VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        FUNCTION_PAR_ID NUMBER(18) not null,
        RULE_CD VARCHAR2(40) not null,
        primary key (RULE_PAR_ID)
    );

    create table RULE_PMFM (
        RULE_PMFM_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        MATRIX_ID NUMBER(18),
        METHOD_ID NUMBER(18),
        PAR_CD VARCHAR2(40) not null,
        FRACTION_ID NUMBER(18),
        RULE_CD VARCHAR2(40) not null,
        primary key (RULE_PMFM_ID)
    );

    create table SAMPLE (
        SAMPLE_ID NUMBER(18) not null,
        SAMPLE_LB VARCHAR2(50),
        SAMPLE_NUMBER_INDIV NUMBER(38,15),
        SAMPLE_SIZE NUMBER(38,7),
        SAMPLE_CM VARCHAR2(2000),
        SAMPLE_CONTROL_DT DATE,
        SAMPLE_VALID_DT DATE,
        SAMPLE_QUALIF_DT DATE,
        SAMPLE_QUALIF_CM VARCHAR2(2000),
        SAMPLE_SCOPE VARCHAR2(1),
        SAMPLE_HAS_MEAS VARCHAR2(1),
        UPDATE_DT TIMESTAMP not null,
        QUAL_FLAG_CD VARCHAR2(40) not null,
        TAXON_GROUP_ID NUMBER(18),
        SAMPLE_SIZE_UNIT_ID NUMBER(18),
        REC_DEP_ID NUMBER(18) not null,
        SAMPLING_OPER_ID NUMBER(18) not null,
        MATRIX_ID NUMBER(18) not null,
        REF_TAXON_ID NUMBER(18),
        primary key (SAMPLE_ID)
    );

    create table SAMPLE_PROG (
        SAMPLE_ID NUMBER(18) not null,
        PROG_CD VARCHAR2(40) not null,
        primary key (SAMPLE_ID, PROG_CD)
    );

    create table SAMPLING_EQUIPMENT (
        SAMPLING_EQUIPMENT_ID NUMBER(18) not null,
        SAMPLING_EQUIPMENT_NM VARCHAR2(100) not null,
        SAMPLING_EQUIPMENT_DC VARCHAR2(255),
        SAMPLING_EQUIPMENT_SIZE NUMBER(38,7),
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        UNIT_ID NUMBER(18),
        primary key (SAMPLING_EQUIPMENT_ID)
    );

    create table SAMPLING_OPERATION (
        SAMPLING_OPER_ID NUMBER(18) not null,
        SAMPLING_OPER_LB VARCHAR2(50),
        SAMPLING_OPER_DEPTH NUMBER(38,7),
        SAMPLING_OPER_MAX_DEPTH NUMBER(38,7),
        SAMPLING_OPER_MIN_DEPTH NUMBER(38,7),
        SAMPLING_OPER_SIZE NUMBER(38,7),
        SAMPLING_OPER_TIME NUMBER(6),
        SAMPLING_OPER_NUMBER_INDIV NUMBER(38,15),
        SAMPLING_OPER_CM VARCHAR2(2000),
        SAMPLING_OPER_UT_FORMAT NUMBER(38,15),
        SAMPLING_OPER_QUALIF_DT DATE,
        SAMPLING_OPER_QUALIF_CM VARCHAR2(2000),
        SAMPLING_OPER_CONTROL_DT DATE,
        SAMPLING_OPER_VALID_DT DATE,
        SAMPLING_OPER_ACTUAL_POSITION VARCHAR2(1),
        SAMPLING_OPER_POSITION_CM VARCHAR2(2000),
        SAMPLING_OPER_GEOM_VALID_DT DATE,
        SAMPLING_OPER_SCOPE VARCHAR2(1),
        SAMPLING_OPER_HAS_MEAS VARCHAR2(1),
        UPDATE_DT TIMESTAMP not null,
        DEPTH_LEVEL_ID NUMBER(18),
        QUAL_FLAG_CD VARCHAR2(40) not null,
        SAMPLING_OPER_DEPTH_UNIT_ID NUMBER(18),
        BATCH_ID NUMBER(18),
        SURVEY_ID NUMBER(18) not null,
        REC_DEP_ID NUMBER(18) not null,
        SAMPLING_OPER_SIZE_UNIT_ID NUMBER(18),
        SAMPLING_EQUIPMENT_ID NUMBER(18) not null,
        POS_SYSTEM_ID NUMBER(18),
        DEP_ID NUMBER(18) not null,
        primary key (SAMPLING_OPER_ID)
    );

    create table SAMPLING_OPER_AREA (
        SAMPLING_OPER_ID NUMBER(18) not null,
        SAMPLING_OPER_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (SAMPLING_OPER_ID)
    );

    create table SAMPLING_OPER_LINE (
        SAMPLING_OPER_ID NUMBER(18) not null,
        SAMPLING_OPER_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (SAMPLING_OPER_ID)
    );

    create table SAMPLING_OPER_POINT (
        SAMPLING_OPER_ID NUMBER(18) not null,
        SAMPLING_OPER_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (SAMPLING_OPER_ID)
    );

    create table SAMPLING_OPER_PROG (
        SAMPLING_OPER_ID NUMBER(18) not null,
        PROG_CD VARCHAR2(40) not null,
        primary key (SAMPLING_OPER_ID, PROG_CD)
    );

    create table SANDRE_ANALYSIS_INSTRUMENT_EXP (
        SANDRE_ANALYSIS_INSTRUMENT_EXP NUMBER(18) not null,
        SANDRE_ANAL_INST_ID NUMBER(18) not null,
        SANDRE_ANAL_INST_LB VARCHAR2(50),
        ANAL_INST_ID NUMBER(18) not null,
        primary key (SANDRE_ANALYSIS_INSTRUMENT_EXP)
    );

    create table SANDRE_ANALYSIS_INSTRUMENT_IMP (
        SANDRE_ANALYSIS_INSTRUMENT_IMP NUMBER(18) not null,
        SANDRE_ANAL_INST_ID NUMBER(18) not null,
        SANDRE_ANAL_INST_LB VARCHAR2(50),
        ANAL_INST_ID NUMBER(18) not null,
        primary key (SANDRE_ANALYSIS_INSTRUMENT_IMP)
    );

    create table SANDRE_ANALYST_EXP (
        SANDRE_ANALYST_EXP_ID NUMBER(18) not null,
        SANDRE_ANALYST_ID NUMBER(18) not null,
        SANDRE_ANALYST_LB VARCHAR2(50),
        DEP_ID NUMBER(18) not null,
        primary key (SANDRE_ANALYST_EXP_ID)
    );

    create table SANDRE_ANALYST_IMP (
        SANDRE_ANALYST_IMP_ID NUMBER(18) not null,
        SANDRE_ANALYST_ID NUMBER(18) not null,
        SANDRE_ANALYST_LB VARCHAR2(50),
        DEP_ID NUMBER(18) not null,
        primary key (SANDRE_ANALYST_IMP_ID)
    );

    create table SANDRE_BALISE_EQ (
        SANDRE_BAL_EQ_ID NUMBER(18) not null,
        SANDRE_BAL_EQ_TABLE_IMPORT_NM VARCHAR2(100),
        SANDRE_BAL_EQ_ATTR_IMPORT_NM VARCHAR2(100),
        SANDRE_BAL_EQ_TABLE_MANDATORY VARCHAR2(1) not null,
        SANDRE_BAL_EQ_TABLE_CD VARCHAR2(40) not null,
        SANDRE_BAL_EQ_TABLE_EXPORT_NM VARCHAR2(100),
        SANDRE_BAL_EQ_ATTR_EXPORT_NM VARCHAR2(100),
        SANDRE_XML_UPPER_BAL_ID NUMBER(18) not null,
        SANDRE_XML_BAL_ID NUMBER(18),
        primary key (SANDRE_BAL_EQ_ID)
    );

    create table SANDRE_DEPTH_LEVEL_EXP (
        SANDRE_DEPTH_LEVEL_EXP_ID NUMBER(18) not null,
        SANDRE_DEPTH_LEVEL_ID NUMBER(18) not null,
        SANDRE_DEPTH_LEVEL_LB VARCHAR2(50),
        DEPTH_LEVEL_ID NUMBER(18) not null,
        primary key (SANDRE_DEPTH_LEVEL_EXP_ID)
    );

    create table SANDRE_DEPTH_LEVEL_IMP (
        SANDRE_DEPTH_LEVEL_IMP_ID NUMBER(18) not null,
        SANDRE_DEPTH_LEVEL_ID NUMBER(18) not null,
        SANDRE_DEPTH_LEVEL_LB VARCHAR2(50),
        DEPTH_LEVEL_ID NUMBER(18) not null,
        primary key (SANDRE_DEPTH_LEVEL_IMP_ID)
    );

    create table SANDRE_FRACTION_EXP (
        SANDRE_FRACTION_EXP_ID NUMBER(18) not null,
        SANDRE_FRACTION_ID NUMBER(18) not null,
        SANDRE_FRACTION_LB VARCHAR2(50),
        FRACTION_ID NUMBER(18) not null,
        primary key (SANDRE_FRACTION_EXP_ID)
    );

    create table SANDRE_FRACTION_IMP (
        SANDRE_FRACTION_IMP_ID NUMBER(18) not null,
        SANDRE_FRACTION_ID NUMBER(18) not null,
        SANDRE_FRACTION_LB VARCHAR2(50),
        FRACTION_ID NUMBER(18) not null,
        primary key (SANDRE_FRACTION_IMP_ID)
    );

    create table SANDRE_MATRIX_EXP (
        SANDRE_MATRIX_EXP_ID NUMBER(18) not null,
        SANDRE_MATRIX_ID NUMBER(18) not null,
        SANDRE_MATRIX_LB VARCHAR2(50),
        MATRIX_ID NUMBER(18) not null,
        primary key (SANDRE_MATRIX_EXP_ID)
    );

    create table SANDRE_MATRIX_IMP (
        SANDRE_MATRIX_IMP_ID NUMBER(18) not null,
        SANDRE_MATRIX_ID NUMBER(18) not null,
        SANDRE_MATRIX_LB VARCHAR2(50),
        MATRIX_ID NUMBER(18) not null,
        primary key (SANDRE_MATRIX_IMP_ID)
    );

    create table SANDRE_METHOD_EXP (
        SANDRE_METHOD_EXP_ID NUMBER(18) not null,
        SANDRE_METHOD_ID NUMBER(18) not null,
        SANDRE_METHOD_LB VARCHAR2(255),
        METHOD_ID NUMBER(18) not null,
        primary key (SANDRE_METHOD_EXP_ID)
    );

    create table SANDRE_METHOD_IMP (
        SANDRE_METHOD_IMP_ID NUMBER(18) not null,
        SANDRE_METHOD_ID NUMBER(18) not null,
        SANDRE_METHOD_LB VARCHAR2(255),
        METHOD_ID NUMBER(18) not null,
        primary key (SANDRE_METHOD_IMP_ID)
    );

    create table SANDRE_MON_LOC_EXP (
        SANDRE_MON_LOC_EXP_ID NUMBER(18) not null,
        SANDRE_MON_LOC_ID NUMBER(18) not null,
        SANDRE_MON_LOC_LB VARCHAR2(50),
        MON_LOC_ID NUMBER(18) not null,
        primary key (SANDRE_MON_LOC_EXP_ID)
    );

    create table SANDRE_MON_LOC_IMP (
        SANDRE_MON_LOC_IMP_ID NUMBER(18) not null,
        SANDRE_MON_LOC_ID NUMBER(18) not null,
        SANDRE_MON_LOC_LB VARCHAR2(50),
        MON_LOC_ID NUMBER(18) not null,
        primary key (SANDRE_MON_LOC_IMP_ID)
    );

    create table SANDRE_NUMERICAL_PRECISION_EXP (
        SANDRE_NUMERICAL_PRECISION_EXP NUMBER(18) not null,
        SANDRE_NUM_PREC_ID NUMBER(18) not null,
        SANDRE_NUM_PREC_LB VARCHAR2(50),
        NUM_PREC_ID NUMBER(18) not null,
        primary key (SANDRE_NUMERICAL_PRECISION_EXP)
    );

    create table SANDRE_NUMERICAL_PRECISION_IMP (
        SANDRE_NUMERICAL_PRECISION_IMP NUMBER(18) not null,
        SANDRE_NUM_PREC_ID NUMBER(18) not null,
        SANDRE_NUM_PREC_LB VARCHAR2(50),
        NUM_PREC_ID NUMBER(18) not null,
        primary key (SANDRE_NUMERICAL_PRECISION_IMP)
    );

    create table SANDRE_PARAMETER_EXP (
        SANDRE_PARAMETER_EXP_ID NUMBER(18) not null,
        SANDRE_PAR_ID NUMBER(18) not null,
        SANDRE_PAR_LB VARCHAR2(50),
        PAR_CD VARCHAR2(40) not null,
        primary key (SANDRE_PARAMETER_EXP_ID)
    );

    create table SANDRE_PARAMETER_IMP (
        SANDRE_PARAMETER_IMP_ID NUMBER(18) not null,
        SANDRE_PAR_ID NUMBER(18) not null,
        SANDRE_PAR_LB VARCHAR2(50),
        PAR_CD VARCHAR2(40) not null,
        primary key (SANDRE_PARAMETER_IMP_ID)
    );

    create table SANDRE_POSITIONNING_SYSTEM_EXP (
        SANDRE_POSITIONNING_SYSTEM_EXP NUMBER(18) not null,
        SANDRE_POS_SYSTEM_ID NUMBER(18) not null,
        SANDRE_POS_SYSTEM_LB VARCHAR2(50),
        POS_SYSTEM_ID NUMBER(18) not null,
        primary key (SANDRE_POSITIONNING_SYSTEM_EXP)
    );

    create table SANDRE_POSITIONNING_SYSTEM_IMP (
        SANDRE_POSITIONNING_SYSTEM_IMP NUMBER(18) not null,
        SANDRE_POS_SYSTEM_ID NUMBER(18) not null,
        SANDRE_POS_SYSTEM_LB VARCHAR2(50),
        POS_SYSTEM_ID NUMBER(18) not null,
        primary key (SANDRE_POSITIONNING_SYSTEM_IMP)
    );

    create table SANDRE_PRECISION_TYPE_EXP (
        SANDRE_PRECISION_TYPE_EXP_ID NUMBER(18) not null,
        SANDRE_PREC_TYPE_ID NUMBER(18) not null,
        SANDRE_PREC_TYPE_LB VARCHAR2(50),
        PREC_TYPE_ID NUMBER(18) not null,
        primary key (SANDRE_PRECISION_TYPE_EXP_ID)
    );

    create table SANDRE_PRECISION_TYPE_IMP (
        SANDRE_PRECISION_TYPE_IMP_ID NUMBER(18) not null,
        SANDRE_PREC_TYPE_ID NUMBER(18) not null,
        SANDRE_PREC_TYPE_LB VARCHAR2(50),
        PREC_TYPE_ID NUMBER(18) not null,
        primary key (SANDRE_PRECISION_TYPE_IMP_ID)
    );

    create table SANDRE_PROGRAMME_EXP (
        SANDRE_PROGRAMME_EXP_ID NUMBER(18) not null,
        SANDRE_PROG_CD VARCHAR2(40) not null,
        SANDRE_PROG_LB VARCHAR2(50),
        PROG_CD VARCHAR2(40) not null,
        primary key (SANDRE_PROGRAMME_EXP_ID)
    );

    create table SANDRE_PROGRAMME_IMP (
        SANDRE_PROGRAMME_IMP_ID NUMBER(18) not null,
        SANDRE_PROG_CD VARCHAR2(40) not null,
        SANDRE_PROG_LB VARCHAR2(50),
        PROG_CD VARCHAR2(40) not null,
        primary key (SANDRE_PROGRAMME_IMP_ID)
    );

    create table SANDRE_QUALITY_LEVEL_EXP (
        SANDRE_QUALITY_LEVEL_EXP_ID NUMBER(18) not null,
        SANDRE_QUAL_LEVEL_ID NUMBER(18) not null,
        SANDRE_QUAL_LEVEL_LB VARCHAR2(50),
        QUAL_FLAG_CD VARCHAR2(40) not null,
        primary key (SANDRE_QUALITY_LEVEL_EXP_ID)
    );

    create table SANDRE_QUALITY_LEVEL_IMP (
        SANDRE_QUALITY_LEVEL_IMP_ID NUMBER(18) not null,
        SANDRE_QUAL_LEVEL_ID NUMBER(18) not null,
        SANDRE_QUAL_LEVEL_LB VARCHAR2(50),
        QUAL_FLAG_CD VARCHAR2(40) not null,
        primary key (SANDRE_QUALITY_LEVEL_IMP_ID)
    );

    create table SANDRE_SAMPLER_EXP (
        SANDRE_SAMPLER_EXP_ID NUMBER(18) not null,
        SANDRE_SAMPLER_ID NUMBER(18) not null,
        SANDRE_SAMPLER_LB VARCHAR2(50),
        DEP_ID NUMBER(18) not null,
        primary key (SANDRE_SAMPLER_EXP_ID)
    );

    create table SANDRE_SAMPLER_IMP (
        SANDRE_SAMPLER_IMP_ID NUMBER(18) not null,
        SANDRE_SAMPLER_ID NUMBER(18) not null,
        SANDRE_SAMPLER_LB VARCHAR2(50),
        DEP_ID NUMBER(18) not null,
        primary key (SANDRE_SAMPLER_IMP_ID)
    );

    create table SANDRE_SAMPLING_EQUIPMENT_EXP (
        SANDRE_SAMPLING_EQUIPMENT_EXP_ NUMBER(18) not null,
        SANDRE_SAMPLING_EQUIPMENT_ID NUMBER(18) not null,
        SANDRE_SAMPLING_EQUIPMENT_LB VARCHAR2(50),
        SAMPLING_EQUIPMENT_ID NUMBER(18) not null,
        primary key (SANDRE_SAMPLING_EQUIPMENT_EXP_)
    );

    create table SANDRE_SAMPLING_EQUIPMENT_IMP (
        SANDRE_SAMPLING_EQUIPMENT_IMP_ NUMBER(18) not null,
        SANDRE_SAMPLING_EQUIPMENT_ID NUMBER(18) not null,
        SANDRE_SAMPLING_EQUIPMENT_LB VARCHAR2(50),
        SAMPLING_EQUIPMENT_ID NUMBER(18) not null,
        primary key (SANDRE_SAMPLING_EQUIPMENT_IMP_)
    );

    create table SANDRE_TAXONOMIC_LEVEL_EXP (
        SANDRE_TAXONOMIC_LEVEL_EXP_ID NUMBER(18) not null,
        SANDRE_TAX_LEVEL_ID NUMBER(18) not null,
        SANDRE_TAX_LEVEL_LB VARCHAR2(50),
        TAX_LEVEL_CD VARCHAR2(40) not null,
        primary key (SANDRE_TAXONOMIC_LEVEL_EXP_ID)
    );

    create table SANDRE_TAXONOMIC_LEVEL_IMP (
        SANDRE_TAXONOMIC_LEVEL_IMP_ID NUMBER(18) not null,
        SANDRE_TAX_LEVEL_ID NUMBER(18) not null,
        SANDRE_TAX_LEVEL_LB VARCHAR2(50),
        TAX_LEVEL_CD VARCHAR2(40) not null,
        primary key (SANDRE_TAXONOMIC_LEVEL_IMP_ID)
    );

    create table SANDRE_TAXON_EXP (
        SANDRE_TAXON_EXP_ID NUMBER(18) not null,
        SANDRE_TAXON_ID NUMBER(18) not null,
        SANDRE_TAXON_LB VARCHAR2(50),
        REF_TAXON_ID NUMBER(18) not null,
        primary key (SANDRE_TAXON_EXP_ID)
    );

    create table SANDRE_TAXON_GROUP_EXP (
        SANDRE_TAXON_GROUP_EXP_ID NUMBER(18) not null,
        SANDRE_TAXON_GROUP_ID NUMBER(18) not null,
        SANDRE_TAXON_GROUP_LB VARCHAR2(50),
        TAXON_GROUP_ID NUMBER(18) not null,
        primary key (SANDRE_TAXON_GROUP_EXP_ID)
    );

    create table SANDRE_TAXON_GROUP_IMP (
        SANDRE_TAXON_GROUP_IMP_ID NUMBER(18) not null,
        SANDRE_TAXON_GROUP_ID NUMBER(18) not null,
        SANDRE_TAXON_GROUP_LB VARCHAR2(50),
        TAXON_GROUP_ID NUMBER(18) not null,
        primary key (SANDRE_TAXON_GROUP_IMP_ID)
    );

    create table SANDRE_TAXON_IMP (
        SANDRE_TAXON_IMP_ID NUMBER(18) not null,
        SANDRE_TAXON_ID NUMBER(18) not null,
        SANDRE_TAXON_LB VARCHAR2(50),
        EXTRACT_SEL_GEOM_GEOMETRY_ID NUMBER(18) not null,
        REF_TAXON_ID NUMBER(18) not null,
        primary key (SANDRE_TAXON_IMP_ID)
    );

    create table SANDRE_UNIT_EXP (
        SANDRE_UNIT_EXP_ID NUMBER(18) not null,
        SANDRE_UNIT_ID NUMBER(18) not null,
        SANDRE_UNIT_LB VARCHAR2(50),
        UNIT_ID NUMBER(18) not null,
        primary key (SANDRE_UNIT_EXP_ID)
    );

    create table SANDRE_UNIT_IMP (
        SANDRE_UNIT_IMP_ID NUMBER(18) not null,
        SANDRE_UNIT_ID NUMBER(18) not null,
        SANDRE_UNIT_LB VARCHAR2(50),
        UNIT_ID NUMBER(18) not null,
        primary key (SANDRE_UNIT_IMP_ID)
    );

    create table SANDRE_XML_BALISE (
        SANDRE_XML_BAL_ID NUMBER(18) not null,
        SANDRE_XML_BAL_NM VARCHAR2(100) not null,
        SANDRE_XML_BAL_DC VARCHAR2(255),
        SANDRE_XML_BAL_TYPE VARCHAR2(100) not null,
        primary key (SANDRE_XML_BAL_ID)
    );

    create table SELECTION (
        SEL_ID NUMBER(18) not null,
        SEL_SESSION_ID NUMBER(18) not null,
        SEL_POSITION MDSYS.SDO_GEOMETRY,
        OBJECT_TYPE_CD VARCHAR2(40),
        QUSER_ID NUMBER(18),
        primary key (SEL_ID)
    );

    create table SELECTION_ITEM (
        SELECTION_ITEM_ID NUMBER(18) not null,
        SEL_ITEM_GEOM_OBJECT_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        SEL_ID NUMBER(18) not null,
        primary key (SELECTION_ITEM_ID)
    );

    create table SEXTANT_LAYER (
        SEXTANT_LAYER_CD VARCHAR2(40) not null,
        SEXTANT_LAYER_NM VARCHAR2(100) not null,
        SEXTANT_LAYER_COPYRIGHT VARCHAR2(255),
        SEXTANT_LAYER_ORIGIN VARCHAR2(255),
        SEXTANT_LAYER_REF VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        primary key (SEXTANT_LAYER_CD)
    );

    create table SHIP (
        SHIP_ID NUMBER(18) not null,
        SHIP_LB VARCHAR2(50) not null,
        SHIP_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (SHIP_ID)
    );

    create table STATUS (
        STATUS_CD VARCHAR2(40) not null,
        STATUS_NM VARCHAR2(100) not null,
        STATUS_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        primary key (STATUS_CD)
    );

    create table STRATEGY (
        STRAT_ID NUMBER(18) not null,
        STRAT_NM VARCHAR2(100) not null,
        STRAT_DC VARCHAR2(2000),
        STRAT_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        PROG_CD VARCHAR2(40) not null,
        primary key (STRAT_ID)
    );

    create table SURVEY (
        SURVEY_ID NUMBER(18) not null,
        SURVEY_DT DATE not null,
        SURVEY_TIME NUMBER(38,15),
        SURVEY_NUMBER_INDIV NUMBER(38,15),
        SURVEY_BOTTOM_DEPTH NUMBER(38,7),
        SURVEY_LB VARCHAR2(50),
        SURVEY_CM VARCHAR2(2000),
        SURVEY_UT_FORMAT NUMBER(38,15),
        SURVEY_CONTROL_DT DATE,
        SURVEY_VALID_DT DATE,
        SURVEY_QUALIF_DT DATE,
        SURVEY_QUALIF_CM VARCHAR2(2000),
        SURVEY_ACTUAL_POSITION VARCHAR2(1),
        SURVEY_POSITION_CM VARCHAR2(2000),
        SURVEY_GEOMETRY_VALID_DT DATE,
        SURVEY_SCOPE VARCHAR2(1),
        SURVEY_HAS_MEAS VARCHAR2(1),
        UPDATE_DT TIMESTAMP not null,
        SURVEY_BOTTOM_DEPTH_UNIT_ID NUMBER(18),
        MON_LOC_ID NUMBER(18) not null,
        POS_SYSTEM_ID NUMBER(18),
        CAMPAIGN_ID NUMBER(18),
        REC_DEP_ID NUMBER(18) not null,
        DREDGING_TARGET_AREA_CD VARCHAR2(40),
        QUAL_FLAG_CD VARCHAR2(40) not null,
        OCCAS_ID NUMBER(18),
        primary key (SURVEY_ID)
    );

    create table SURVEY_AREA (
        SURVEY_ID NUMBER(18) not null,
        SURVEY_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (SURVEY_ID)
    );

    create table SURVEY_LINE (
        SURVEY_ID NUMBER(18) not null,
        SURVEY_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (SURVEY_ID)
    );

    create table SURVEY_POINT (
        SURVEY_ID NUMBER(18) not null,
        SURVEY_POSITION MDSYS.SDO_GEOMETRY not null,
        primary key (SURVEY_ID)
    );

    create table SURVEY_PROG (
        SURVEY_ID NUMBER(18) not null,
        PROG_CD VARCHAR2(40) not null,
        primary key (SURVEY_ID, PROG_CD)
    );

    create table SURVEY_QUSER (
        SURVEY_ID NUMBER(18) not null,
        QUSER_ID NUMBER(18) not null,
        primary key (SURVEY_ID, QUSER_ID)
    );

    create table SYSTEM_VERSION (
        SYSTEM_VERSION_ID NUMBER(18) not null,
        SYSTEM_VERSION_LB VARCHAR2(50) not null,
        SYSTEM_VERSION_DC VARCHAR2(255),
        SYSTEM_VERSION_CREATION_DT DATE not null,
        SYSTEM_VERSION_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        primary key (SYSTEM_VERSION_ID)
    );

    create table TAXONOMIC_LEVEL (
        TAX_LEVEL_CD VARCHAR2(40) not null,
        TAX_LEVEL_NB NUMBER(38,15),
        TAX_LEVEL_NM VARCHAR2(100) not null,
        TAX_LEVEL_LB VARCHAR2(50),
        TAX_LEVEL_CM VARCHAR2(2000),
        TAX_LEVEL_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (TAX_LEVEL_CD)
    );

    create table TAXON_GROUP (
        TAXON_GROUP_ID NUMBER(18) not null,
        TAXON_GROUP_NM VARCHAR2(100) not null,
        TAXON_GROUP_LB VARCHAR2(50),
        TAXON_GROUP_CM VARCHAR2(2000),
        TAXON_GROUP_EXCLUS VARCHAR2(1),
        TAXON_GROUP_UPDATE VARCHAR2(1),
        TAXON_GROUP_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        PARENT_TAXON_GROUP_ID NUMBER(18),
        STATUS_CD VARCHAR2(40) not null,
        TAXON_GROUP_TYPE_CD VARCHAR2(40) not null,
        primary key (TAXON_GROUP_ID)
    );

    create table TAXON_GROUP_HISTORICAL_RECORD (
        TAXON_GROUP_HIST_RECORD_ID NUMBER(18) not null,
        TAXON_GROUP_HIST_START_DT DATE,
        TAXON_GROUP_HIST_RECORD_END_DT DATE,
        TAXON_GROUP_HIST_RECORD_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        TAXON_NAME_ID NUMBER(18) not null,
        TAXON_GROUP_ID NUMBER(18) not null,
        primary key (TAXON_GROUP_HIST_RECORD_ID)
    );

    create table TAXON_GROUP_INFORMATION (
        REF_DOC_ID NUMBER(18) not null,
        TAXON_GROUP_ID NUMBER(18) not null,
        TAXON_GROUP_INF_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        primary key (REF_DOC_ID, TAXON_GROUP_ID)
    );

    create table TAXON_GROUP_POSITION (
        TAXON_GROUP_ID NUMBER(18) not null,
        MON_LOC_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        RES_TYPE_ID NUMBER(18),
        primary key (TAXON_GROUP_ID, MON_LOC_ID)
    );

    create table TAXON_GROUP_TYPE (
        TAXON_GROUP_TYPE_CD VARCHAR2(40) not null,
        TAXON_GROUP_TYPE_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (TAXON_GROUP_TYPE_CD)
    );

    create table TAXON_INFORMATION (
        TAXON_NAME_ID NUMBER(18) not null,
        REF_DOC_ID NUMBER(18) not null,
        TAXON_INF_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        primary key (TAXON_NAME_ID, REF_DOC_ID)
    );

    create table TAXON_INFORMATION_HISTORY (
        TAXON_NAME_HIST_ID NUMBER(18) not null,
        REF_DOC_ID NUMBER(18) not null,
        TAXON_INF_HIST_DC VARCHAR2(255),
        UPDATE_DT TIMESTAMP not null,
        primary key (TAXON_NAME_HIST_ID, REF_DOC_ID)
    );

    create table TAXON_MEASUREMENT (
        TAXON_MEAS_ID NUMBER(18) not null,
        OBJECT_ID NUMBER(18) not null,
        TAXON_MEAS_INDIV_ID NUMBER(18),
        TAXON_MEAS_NUMER_VALUE NUMBER(38,7),
        TAXON_MEAS_PRECISION_VALUE NUMBER(38,7),
        TAXON_MEAS_DIGIT_NUMBER NUMBER(38,15),
        TAXON_MEAS_CONTROL_DT DATE,
        TAXON_MEAS_VALID_DT DATE,
        TAXON_MEAS_QUALIF_DT DATE,
        TAXON_MEAS_QUALIF_CM VARCHAR2(2000),
        TAXON_MEAS_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        PAR_CD VARCHAR2(40),
        MATRIX_ID NUMBER(18),
        FRACTION_ID NUMBER(18),
        METHOD_ID NUMBER(18),
        SAMPLE_ID NUMBER(18),
        TAXON_GROUP_ID NUMBER(18),
        PMFM_ID NUMBER(18) not null,
        REF_TAXON_ID NUMBER(18),
        REC_DEP_ID NUMBER(18),
        QUAL_FLAG_CD VARCHAR2(40) not null,
        NUM_PREC_ID NUMBER(18),
        PREC_TYPE_ID NUMBER(18),
        DEP_ID NUMBER(18),
        OBJECT_TYPE_CD VARCHAR2(40) not null,
        ANAL_INST_ID NUMBER(18),
        QUAL_VALUE_ID NUMBER(18),
        SURVEY_ID NUMBER(18),
        SAMPLING_OPER_ID NUMBER(18),
        TAXON_NAME_ID NUMBER(18),
        primary key (TAXON_MEAS_ID)
    );

    create table TAXON_NAME (
        TAXON_NAME_ID NUMBER(18) not null,
        TAXON_NAME_NM VARCHAR2(255),
        TAXON_NAME_COMPLETE_NM VARCHAR2(255),
        TAXON_NAME_IS_NAMING NUMBER(1),
        TAXON_NAME_CM VARCHAR2(2000),
        TAXON_NAME_UPPER_RK NUMBER(12),
        TAXON_NAME_IS_REFER NUMBER(1),
        TAXON_NAME_IS_VIRTUAL NUMBER(1),
        TAXON_NAME_OBSOL NUMBER(1),
        TAXON_NAME_TEMPOR NUMBER(1),
        TAXON_NAME_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        TAXON_START_DT DATE,
        TAXON_END_DT DATE,
        CIT_ID NUMBER(18),
        PARENT_TAXON_NAME_ID NUMBER(18),
        TAX_LEVEL_CD VARCHAR2(40) not null,
        REF_TAXON_ID NUMBER(18) not null,
        primary key (TAXON_NAME_ID)
    );

    create table TAXON_NAME_HISTORY (
        TAXON_NAME_HIST_ID NUMBER(18) not null,
        TAXON_NAME_HIST_NM VARCHAR2(255),
        TAXON_NAME_HIST_CM VARCHAR2(2000),
        TAXON_NAME_HIST_UPPER_RK NUMBER(12),
        TAXON_NAME_HIST_IS_REFER VARCHAR2(1),
        TAXON_NAME_HIST_IS_VIRTUAL VARCHAR2(1),
        TAXON_NAME_HIST_OBSOL VARCHAR2(1),
        TAXON_NAME_HIST_TEMPOR VARCHAR2(1),
        UPDATE_DT TIMESTAMP not null,
        CIT_ID NUMBER(18),
        PARENT_TAXON_NAME_ID NUMBER(18),
        TAXON_NAME_ID NUMBER(18),
        primary key (TAXON_NAME_HIST_ID)
    );

    create table TAXON_POSITION (
        REF_TAXON_ID NUMBER(18) not null,
        MON_LOC_ID NUMBER(18) not null,
        UPDATE_DT TIMESTAMP not null,
        RES_TYPE_ID NUMBER(18),
        primary key (REF_TAXON_ID, MON_LOC_ID)
    );

    create table TEMP_QUERY_PARAMETER (
        ID NUMBER(18) not null,
        PARAMETER_NAME VARCHAR2(50) not null,
        NUMERICAL_VALUE NUMBER(38,15),
        ALPHANUMERICAL_VALUE VARCHAR2(50),
        QUSER_ID NUMBER(18) not null,
        GROUPING_KEY NUMBER(18),
        primary key (ID)
    );

    create table TRANSCRIBING_ITEM (
        TRANSC_ITEM_ID NUMBER(18) not null,
        OBJECT_ID NUMBER(18),
        OBJECT_CD VARCHAR2(40),
        TRANSC_ITEM_EXTERNAL_CD VARCHAR2(255) not null,
        TRANSC_ITEM_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        TRANSC_ITEM_TYPE_ID NUMBER(18) not null,
        primary key (TRANSC_ITEM_ID)
    );

    create table TRANSCRIBING_ITEM_TYPE (
        TRANSC_ITEM_TYPE_ID NUMBER(18) not null,
        TRANSC_ITEM_TYPE_LB VARCHAR2(50) not null,
        TRANSC_ITEM_TYPE_NM VARCHAR2(100) not null,
        TRANSC_ITEM_TYPE_DC VARCHAR2(255),
        TRANSC_ITEM_TYPE_CM VARCHAR2(2000),
        TRANSC_ITEM_TYPE_IS_MANDATORY VARCHAR2(1) not null,
        UPDATE_DT TIMESTAMP not null,
        TRANSC_ITEM_TYPE_FILTER_QUERY VARCHAR2(255),
        OBJECT_TYPE_CD VARCHAR2(40) not null,
        TRANSC_SIDE_ID NUMBER(18) not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (TRANSC_ITEM_TYPE_ID)
    );

    create table TRANSCRIBING_SIDE (
        TRANSC_SIDE_ID NUMBER(18) not null,
        TRANSC_SIDE_NM VARCHAR2(100) not null,
        TRANSC_SIDE_DC VARCHAR2(255),
        TRANSC_SIDE_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        primary key (TRANSC_SIDE_ID)
    );

    create table UI_FUNCTION (
        UI_FUNCTION_CD VARCHAR2(40) not null,
        UI_FUNCTION_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (UI_FUNCTION_CD)
    );

    create table UNIT (
        UNIT_ID NUMBER(18) not null,
        UNIT_NM VARCHAR2(100) not null,
        UNIT_SYMBOL VARCHAR2(100),
        UNIT_CREATION_DT DATE,
        UPDATE_DT TIMESTAMP not null,
        STATUS_CD VARCHAR2(40) not null,
        primary key (UNIT_ID)
    );

    create table VIDEO (
        VIDEO_ID NUMBER(18) not null,
        VIDEO_NM VARCHAR2(100),
        VIDEO_CM VARCHAR2(2000),
        VIDEO_LK VARCHAR2(255),
        VIDEO_VALID_DT DATE,
        VIDEO_QUALIF_DT DATE,
        VIDEO_QUALIF_CM VARCHAR2(2000),
        UPDATE_DT TIMESTAMP not null,
        QUAL_FLAG_CD VARCHAR2(40),
        SURVEY_ID NUMBER(18),
        primary key (VIDEO_ID)
    );

    create table VIRTUAL_COMPONENT (
        TAXON_NAME_ID NUMBER(18) not null,
        REF_TAXON_ID NUMBER(18) not null,
        primary key (TAXON_NAME_ID, REF_TAXON_ID)
    );

    create table WFD_WATER_BODY (
        WFD_WATER_BODY_CD VARCHAR2(40) not null,
        WFD_WATER_BODY_NM VARCHAR2(100) not null,
        UPDATE_DT TIMESTAMP not null,
        primary key (WFD_WATER_BODY_CD)
    );

    alter table AGE_GROUP 
        add constraint AGE_GROUP_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table ALTERNATIVE_TAXON 
        add constraint ALTERNATIVE_TAXON_ALTERN_TAXOC 
        foreign key (ALTERN_TAXON_ORIGIN_CD) 
        references ALTERNATIVE_TAXON_ORIGIN 
        on delete cascade;

    alter table ALTERNATIVE_TAXON 
        add constraint ALTERNATIVE_TAXON_TAXON_NAME_C 
        foreign key (TAXON_NAME_ID) 
        references TAXON_NAME 
        on delete cascade;

    alter table ANALYSIS_INSTRUMENT 
        add constraint ANALYSIS_INSTRUMENT_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table APPLIED_PERIOD 
        add constraint APPLIED_PERIOD_APPLIED_STRAT_C 
        foreign key (APPLIED_STRAT_ID) 
        references APPLIED_STRATEGY 
        on delete cascade;

    alter table APPLIED_STRATEGY 
        add constraint APPLIED_STRATEGY_TAXON_GROUP_C 
        foreign key (TAXON_GROUP_ID) 
        references TAXON_GROUP;

    alter table APPLIED_STRATEGY 
        add constraint APPLIED_STRATEGY_REF_TAXON_IDC 
        foreign key (REF_TAXON_ID) 
        references REFERENCE_TAXON;

    alter table APPLIED_STRATEGY 
        add constraint APPLIED_STRATEGY_MON_LOC_IDC 
        foreign key (MON_LOC_ID) 
        references MONITORING_LOCATION;

    alter table APPLIED_STRATEGY 
        add constraint APPLIED_STRATEGY_STRAT_IDC 
        foreign key (STRAT_ID) 
        references STRATEGY 
        on delete cascade;

    alter table APPLIED_STRATEGY 
        add constraint APPLIED_STRATEGY_FREQ_CDC 
        foreign key (FREQ_CD) 
        references FREQUENCY;

    alter table APPLIED_STRATEGY 
        add constraint APPLIED_STRATEGY_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table AUTHOR 
        add constraint AUTHOR_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table AUTHOR_REF_DOC 
        add constraint AUTHOR_REF_DOC_IDC 
        foreign key (REF_DOC_ID) 
        references REFERENCE_DOCUMENT;

    alter table AUTHOR_REF_DOC 
        add constraint REFERENCE_DOCUMENT_AUTHOR_IDC 
        foreign key (AUTHOR_ID) 
        references AUTHOR;

    alter table BATCH 
        add constraint BATCH_MON_LOC_IDC 
        foreign key (MON_LOC_ID) 
        references MONITORING_LOCATION;

    alter table BATCH 
        add constraint BATCH_BREEDING_SYSTEM_CDC 
        foreign key (BREEDING_SYSTEM_CD) 
        references BREEDING_SYSTEM;

    alter table BATCH 
        add constraint BATCH_BREEDING_STRUCT_CDC 
        foreign key (BREEDING_STRUCT_CD) 
        references BREEDING_STRUCTURE;

    alter table BATCH 
        add constraint BATCH_DEPTH_LEVEL_IDC 
        foreign key (DEPTH_LEVEL_ID) 
        references DEPTH_LEVEL;

    alter table BATCH 
        add constraint BATCH_INIT_POP_IDC 
        foreign key (INIT_POP_ID) 
        references INITIAL_POPULATION;

    alter table BATCH 
        add constraint BATCH_QUAL_FLAG_CDC 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG;

    alter table BREEDING_PHASE_TYPE 
        add constraint BREEDING_PHASE_TYPE_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table BREEDING_STRUCTURE 
        add constraint BREEDING_STRUCTURE_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table BREEDING_SYSTEM 
        add constraint BREEDING_SYSTEM_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table CAMPAIGN 
        add constraint CAMPAIGN_QUSER_IDC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table CAMPAIGN 
        add constraint CAMPAIGN_SHIP_IDC 
        foreign key (SHIP_ID) 
        references SHIP;

    alter table CAMPAIGN 
        add constraint CAMPAIGN_POS_SYSTEM_IDC 
        foreign key (POS_SYSTEM_ID) 
        references POSITIONNING_SYSTEM;

    alter table CAMPAIGN 
        add constraint CAMPAIGN_REC_DEP_IDC 
        foreign key (REC_DEP_ID) 
        references DEPARTMENT;

    alter table CAMPAIGN_AREA 
        add constraint CAMPAIGN_AREA_CAMPAIGN_IDC 
        foreign key (CAMPAIGN_ID) 
        references CAMPAIGN 
        on delete cascade;

    alter table CAMPAIGN_LINE 
        add constraint CAMPAIGN_LINE_CAMPAIGN_IDC 
        foreign key (CAMPAIGN_ID) 
        references CAMPAIGN 
        on delete cascade;

    alter table CAMPAIGN_POINT 
        add constraint CAMPAIGN_POINT_CAMPAIGN_IDC 
        foreign key (CAMPAIGN_ID) 
        references CAMPAIGN 
        on delete cascade;

    alter table CAMPAIGN_PROG 
        add constraint CAMPAIGN_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME;

    alter table CAMPAIGN_PROG 
        add constraint PROGRAMME_CAMPAIGN_IDC 
        foreign key (CAMPAIGN_ID) 
        references CAMPAIGN;

    alter table CITATION 
        add constraint CITATION_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table COMPUTE_FUNCTION_PROG 
        add constraint PROGRAMME_COMP_FUNCTION_CDC 
        foreign key (COMP_FUNCTION_CD) 
        references COMPUTE_FUNCTION;

    alter table COMPUTE_FUNCTION_PROG 
        add constraint COMPUTE_FUNCTION_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME;

    alter table COMPUTE_MEASUREMENT 
        add constraint COMPUTE_MEASUREMENT_COMP_FUNCC 
        foreign key (COMP_FUNCTION_CD) 
        references COMPUTE_FUNCTION;

    alter table CONTEXT 
        add constraint CONTEXT_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table CONTEXT 
        add constraint CONTEXT_MAP_PROJECT_IDC 
        foreign key (MAP_PROJECT_ID) 
        references MAP_PROJECT;

    alter table CONTEXT 
        add constraint CONTEXT_QUSER_IDC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table CONTEXT 
        add constraint CONTEXT_ORDER_ITEM_TYPE_CDC 
        foreign key (ORDER_ITEM_TYPE_CD) 
        references ORDER_ITEM_TYPE;

    alter table CONTEXT_DEP 
        add constraint CONTEXT_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table CONTEXT_DEP 
        add constraint DEPARTMENT_CONTEXT_IDC 
        foreign key (CONTEXT_ID) 
        references CONTEXT;

    alter table CONTEXT_FILTER 
        add constraint CONTEXT_FILTER_IDC 
        foreign key (FILTER_ID) 
        references FILTER;

    alter table CONTEXT_FILTER 
        add constraint FILTER_CONTEXT_IDC 
        foreign key (CONTEXT_ID) 
        references CONTEXT;

    alter table COORDINATES_TRANSFORMATION 
        add constraint COORDINATES_TRANSFORMATION_POC 
        foreign key (POS_SYSTEM_ID) 
        references POSITIONNING_SYSTEM;

    alter table COORDINATES_TRANSFORMATION 
        add constraint COORDINATES_TRANSFORMATION_INC 
        foreign key (INIT_PROJ_SYSTEM_CD) 
        references PROJECTION_SYSTEM;

    alter table COORDINATES_TRANSFORMATION 
        add constraint COORDINATES_TRANSFORMATION_ENC 
        foreign key (END_PROJ_SYSTEM_CD) 
        references PROJECTION_SYSTEM;

    alter table DEFAULT_VALUE 
        add constraint DEFAULT_VALUE_CONTEXT_IDC 
        foreign key (CONTEXT_ID) 
        references CONTEXT 
        on delete cascade;

    alter table DELETED_ITEM_HISTORY 
        add constraint DELETED_ITEM_HISTORY_OBJECT_TC 
        foreign key (OBJECT_TYPE_CD) 
        references OBJECT_TYPE;

    alter table DELETED_ITEM_HISTORY 
        add constraint DELETED_ITEM_HISTORY_REC_DEP_C 
        foreign key (REC_DEP_ID) 
        references DEPARTMENT;

    alter table DELETED_ITEM_HISTORY 
        add constraint DELETED_ITEM_HISTORY_REC_QUSEC 
        foreign key (REC_QUSER_ID) 
        references QUSER;

    alter table DEPARTMENT 
        add constraint DEPARTMENT_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table DEPARTMENT 
        add constraint DEPARTMENT_PARENT_DEP_IDC 
        foreign key (PARENT_DEP_ID) 
        references DEPARTMENT;

    alter table DEPARTMENT_PRIVILEGE 
        add constraint DEPARTMENT_PRIVILEGE_CDC 
        foreign key (PRIVILEGE_CD) 
        references PRIVILEGE;

    alter table DEPARTMENT_PRIVILEGE 
        add constraint PRIVILEGE_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table DEPENDANT_PARAMETER 
        add constraint PARAMETER_COMP_FUNCTION_CDC 
        foreign key (COMP_FUNCTION_CD) 
        references COMPUTE_FUNCTION;

    alter table DEPENDANT_PARAMETER 
        add constraint COMPUTE_FUNCTION_PAR_CDC 
        foreign key (PAR_CD) 
        references PARAMETER;

    alter table DEPTH_LEVEL 
        add constraint DEPTH_LEVEL_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table DEP_MET 
        add constraint METAPROGRAMME_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table DEP_MET 
        add constraint DEPARTMENT_MET_CDC 
        foreign key (MET_CD) 
        references METAPROGRAMME;

    alter table DOCUMENT_TYPE 
        add constraint DOCUMENT_TYPE_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table DREDGING_AREA_TYPE 
        add constraint DREDGING_AREA_TYPE_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table DREDGING_TARGET_AREA 
        add constraint DREDGING_TARGET_AREA_DREDGINGC 
        foreign key (DREDGING_AREA_TYPE_CD) 
        references DREDGING_AREA_TYPE;

    alter table DREDGING_TARGET_AREA 
        add constraint DREDGING_TARGET_AREA_STATUS_CC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table EUNIS_EQUIVALENCE 
        add constraint EUNIS_EQUIVALENCE_EUNIS_EQUIVC 
        foreign key (EUNIS_EQUIV_CODE_TYP_CD) 
        references EUNIS_EQUIV_CODE_TYPOLOGY;

    alter table EUNIS_EQUIVALENCE 
        add constraint EUNIS_EQUIVALENCE_OLD_EUNIS_TC 
        foreign key (OLD_EUNIS_TYP_ID) 
        references EUNIS_TYPOLOGY;

    alter table EUNIS_EQUIVALENCE 
        add constraint EUNIS_EQUIVALENCE_NEW_EUNIS_TC 
        foreign key (NEW_EUNIS_TYP_ID) 
        references EUNIS_TYPOLOGY;

    alter table EUNIS_EQUIV_CODE_TYPOLOGY 
        add constraint EUNIS_EQUIV_CODE_TYPOLOGY_STAC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table EUNIS_TYPOLOGY 
        add constraint EUNIS_TYPOLOGY_PARENT_EUNIS_TC 
        foreign key (PARENT_EUNIS_TYP_ID) 
        references EUNIS_TYPOLOGY;

    alter table EUNIS_TYPOLOGY 
        add constraint EUNIS_TYPOLOGY_EUNIS_VERSION_C 
        foreign key (EUNIS_VERSION_ID) 
        references EUNIS_VERSION;

    alter table EVENT 
        add constraint EVENT_EVENT_TYPE_IDC 
        foreign key (EVENT_TYPE_ID) 
        references EVENT_TYPE;

    alter table EVENT 
        add constraint EVENT_POS_SYSTEM_IDC 
        foreign key (POS_SYSTEM_ID) 
        references POSITIONNING_SYSTEM;

    alter table EVENT 
        add constraint EVENT_REC_DEP_IDC 
        foreign key (REC_DEP_ID) 
        references DEPARTMENT;

    alter table EVENT_AREA 
        add constraint EVENT_AREA_EVENT_IDC 
        foreign key (EVENT_ID) 
        references EVENT 
        on delete cascade;

    alter table EVENT_LINE 
        add constraint EVENT_LINE_EVENT_IDC 
        foreign key (EVENT_ID) 
        references EVENT 
        on delete cascade;

    alter table EVENT_POINT 
        add constraint EVENT_POINT_EVENT_IDC 
        foreign key (EVENT_ID) 
        references EVENT 
        on delete cascade;

    alter table EVENT_SURVEY 
        add constraint EVENT_SURVEY_IDC 
        foreign key (SURVEY_ID) 
        references SURVEY;

    alter table EVENT_SURVEY 
        add constraint SURVEY_EVENT_IDC 
        foreign key (EVENT_ID) 
        references EVENT;

    alter table EVENT_TYPE 
        add constraint EVENT_TYPE_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table EXTRACT_FIELD 
        add constraint EXTRACT_FIELD_OBJECT_TYPE_CDC 
        foreign key (OBJECT_TYPE_CD) 
        references OBJECT_TYPE;

    alter table EXTRACT_FIELD 
        add constraint EXTRACT_FIELD_EXTRACT_FILTER_C 
        foreign key (EXTRACT_FILTER_ID) 
        references EXTRACT_FILTER 
        on delete cascade;

    alter table EXTRACT_FILTER 
        add constraint EXTRACT_FILTER_EXTRACT_TABLE_C 
        foreign key (EXTRACT_TABLE_TYPE_CD) 
        references EXTRACT_TABLE_TYPE;

    alter table EXTRACT_FILTER 
        add constraint EXTRACT_FILTER_EXTRACT_AGREG_C 
        foreign key (EXTRACT_AGREG_LEVEL_CD) 
        references EXTRACT_AGREGATION_LEVEL;

    alter table EXTRACT_FILTER 
        add constraint EXTRACT_FILTER_PROJ_SYSTEM_CDC 
        foreign key (PROJ_SYSTEM_CD) 
        references PROJECTION_SYSTEM;

    alter table EXTRACT_FILTER 
        add constraint EXTRACT_FILTER_QUSER_IDC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table EXTRACT_FILT_EXTR_FILE_TYPE 
        add constraint EXTRACT_FILTER_EXTRACT_FILE_TC 
        foreign key (EXTRACT_FILE_TYPE_CD) 
        references EXTRACT_FILE_TYPE;

    alter table EXTRACT_FILT_EXTR_FILE_TYPE 
        add constraint EXTRACT_FILE_TYPE_EXTRACT_FILC 
        foreign key (EXTRACT_FILTER_ID) 
        references EXTRACT_FILTER;

    alter table EXTRACT_FILT_EXTR_GR_TYPE_PMFM 
        add constraint EXTRACT_FILTER_EXTRACT_GROUP_C 
        foreign key (EXTRACT_GROUP_TYPE_PMFM_CD) 
        references EXTRACT_GROUP_TYPE_PMFM;

    alter table EXTRACT_FILT_EXTR_GR_TYPE_PMFM 
        add constraint EXTRACT_GROUP_TYPE_PMFM_EXTRAC 
        foreign key (EXTRACT_FILTER_ID) 
        references EXTRACT_FILTER;

    alter table EXTRACT_SURVEY_PERIOD 
        add constraint EXTRACT_SURVEY_PERIOD_EXTRACTC 
        foreign key (EXTRACT_FILTER_ID) 
        references EXTRACT_FILTER 
        on delete cascade;

    alter table FIELD_OBSERVATION 
        add constraint FIELD_OBSERVATION_SURVEY_IDC 
        foreign key (SURVEY_ID) 
        references SURVEY;

    alter table FIELD_OBSERVATION 
        add constraint FIELD_OBSERVATION_REC_DEP_IDC 
        foreign key (REC_DEP_ID) 
        references DEPARTMENT;

    alter table FIELD_OBSERVATION 
        add constraint FIELD_OBSERVATION_OBSERV_TYP_C 
        foreign key (OBSERV_TYP_CD) 
        references OBSERVATION_TYPOLOGY;

    alter table FIELD_OBSERVATION 
        add constraint FIELD_OBSERVATION_QUAL_FLAG_CC 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG;

    alter table FILTER 
        add constraint FILTER_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table FILTER 
        add constraint FILTER_QUSER_IDC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table FILTER 
        add constraint FILTER_FILTER_TYPE_IDC 
        foreign key (FILTER_TYPE_ID) 
        references FILTER_TYPE;

    alter table FILTER 
        add constraint FILTER_EXTRACT_FILTER_IDC 
        foreign key (EXTRACT_FILTER_ID) 
        references EXTRACT_FILTER 
        on delete cascade;

    alter table FILTER_BLOCK 
        add constraint FILTER_BLOCK_FILTER_IDC 
        foreign key (FILTER_ID) 
        references FILTER 
        on delete cascade;

    alter table FILTER_CRITERIA 
        add constraint FILTER_CRITERIA_FILTER_CRIT_TC 
        foreign key (FILTER_CRIT_TYPE_ID) 
        references FILTER_CRITERIA_TYPE;

    alter table FILTER_CRITERIA 
        add constraint FILTER_CRITERIA_FILTER_OPER_TC 
        foreign key (FILTER_OPER_TYPE_ID) 
        references FILTER_OPERATOR_TYPE;

    alter table FILTER_CRITERIA 
        add constraint FILTER_CRITERIA_FILTER_BLOCK_C 
        foreign key (FILTER_BLOCK_ID) 
        references FILTER_BLOCK 
        on delete cascade;

    alter table FILTER_CRITERIA_VALUE 
        add constraint FILTER_CRITERIA_VALUE_FILTER_C 
        foreign key (FILTER_CRIT_ID) 
        references FILTER_CRITERIA 
        on delete cascade;

    alter table FRACTION 
        add constraint FRACTION_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table FRACTION_MATRIX 
        add constraint FRACTION_MATRIX_IDC 
        foreign key (MATRIX_ID) 
        references MATRIX;

    alter table FRACTION_MATRIX 
        add constraint MATRIX_FRACTION_IDC 
        foreign key (FRACTION_ID) 
        references FRACTION;

    alter table FREQUENCY 
        add constraint FREQUENCY_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table FUNCTION_PARAMETER 
        add constraint FUNCTION_PARAMETER_FUNCTION_IC 
        foreign key (FUNCTION_ID) 
        references FUNCTION;

    alter table HARBOUR 
        add constraint HARBOUR_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table HISTORICAL_ACCOUNT 
        add constraint HISTORICAL_ACCOUNT_BREEDING_PC 
        foreign key (BREEDING_PHASE_TYPE_CD) 
        references BREEDING_PHASE_TYPE;

    alter table HISTORICAL_ACCOUNT 
        add constraint HISTORICAL_ACCOUNT_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table HISTORICAL_ACCOUNT 
        add constraint HISTORICAL_ACCOUNT_INIT_POP_IC 
        foreign key (INIT_POP_ID) 
        references INITIAL_POPULATION;

    alter table HISTORICAL_ACCOUNT 
        add constraint HISTORICAL_ACCOUNT_PROD_SECTOC 
        foreign key (PROD_SECTOR_ID) 
        references PRODUCTION_SECTOR;

    alter table HISTORICAL_ACCOUNT 
        add constraint HISTORICAL_ACCOUNT_BREEDING_SC 
        foreign key (BREEDING_STRUCT_CD) 
        references BREEDING_STRUCTURE;

    alter table HISTORICAL_ACCOUNT 
        add constraint HISTORICAL_ACCOUNT_MON_LOC_IDC 
        foreign key (MON_LOC_ID) 
        references MONITORING_LOCATION;

    alter table HISTORICAL_ACCOUNT 
        add constraint HISTORICAL_ACCOUNT_BREEDING_S_ 
        foreign key (BREEDING_SYSTEM_CD) 
        references BREEDING_SYSTEM;

    alter table INITIAL_POPULATION 
        add constraint INITIAL_POPULATION_PLOIDY_IDC 
        foreign key (PLOIDY_ID) 
        references PLOIDY;

    alter table INITIAL_POPULATION 
        add constraint INITIAL_POPULATION_QUAL_FLAG_C 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG;

    alter table INITIAL_POPULATION 
        add constraint INITIAL_POPULATION_REF_TAXON_C 
        foreign key (REF_TAXON_ID) 
        references REFERENCE_TAXON;

    alter table INITIAL_POPULATION 
        add constraint INITIAL_POPULATION_AGE_GROUP_C 
        foreign key (AGE_GROUP_CD) 
        references AGE_GROUP;

    alter table INIT_POP_PROG 
        add constraint INITIAL_POPULATION_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME;

    alter table INIT_POP_PROG 
        add constraint PROGRAMME_INIT_POP_IDC 
        foreign key (INIT_POP_ID) 
        references INITIAL_POPULATION;

    alter table JOB 
        add constraint JOB_QUSER_IDC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table LOC_POINT 
        add constraint LOC_POINT_LOC_IDC 
        foreign key (LOC_ID) 
        references LOCATION 
        on delete cascade;

    alter table MAP_PROJECT 
        add constraint MAP_PROJECT_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table MAP_PROJECT 
        add constraint MAP_PROJECT_QUSER_IDC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table MATRIX 
        add constraint MATRIX_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table MEASURED_PROFILE 
        add constraint MEASURED_PROFILE_SURVEY_IDC 
        foreign key (SURVEY_ID) 
        references SURVEY;

    alter table MEASURED_PROFILE 
        add constraint MEASURED_PROFILE_QUAL_FLAG_CDC 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG;

    alter table MEASURED_PROFILE 
        add constraint MEASURED_PROFILE_REC_DEP_IDC 
        foreign key (REC_DEP_ID) 
        references DEPARTMENT;

    alter table MEASUREMENT 
        add constraint MEASUREMENT_SAMPLE_IDC 
        foreign key (SAMPLE_ID) 
        references SAMPLE;

    alter table MEASUREMENT 
        add constraint MEASUREMENT_OBJECT_TYPE_CDC 
        foreign key (OBJECT_TYPE_CD) 
        references OBJECT_TYPE;

    alter table MEASUREMENT 
        add constraint MEASUREMENT_REC_DEP_IDC 
        foreign key (REC_DEP_ID) 
        references DEPARTMENT;

    alter table MEASUREMENT 
        add constraint MEASUREMENT_ANAL_INST_IDC 
        foreign key (ANAL_INST_ID) 
        references ANALYSIS_INSTRUMENT;

    alter table MEASUREMENT 
        add constraint MEASUREMENT_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table MEASUREMENT 
        add constraint MEASUREMENT_QUAL_FLAG_CDC 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG;

    alter table MEASUREMENT 
        add constraint MEASUREMENT_PMFM_IDC 
        foreign key (PMFM_ID) 
        references PMFM;

    alter table MEASUREMENT 
        add constraint MEASUREMENT_PREC_TYPE_IDC 
        foreign key (PREC_TYPE_ID) 
        references PRECISION_TYPE;

    alter table MEASUREMENT 
        add constraint MEASUREMENT_NUM_PREC_IDC 
        foreign key (NUM_PREC_ID) 
        references NUMERICAL_PRECISION;

    alter table MEASUREMENT 
        add constraint MEASUREMENT_QUAL_VALUE_IDC 
        foreign key (QUAL_VALUE_ID) 
        references QUALITATIVE_VALUE;

    alter table MEASUREMENT 
        add constraint MEASUREMENT_SURVEY_IDC 
        foreign key (SURVEY_ID) 
        references SURVEY;

    alter table MEASUREMENT 
        add constraint MEASUREMENT_SAMPLING_OPER_IDC 
        foreign key (SAMPLING_OPER_ID) 
        references SAMPLING_OPERATION;

    alter table MEASUREMENT_FILE 
        add constraint MEASUREMENT_FILE_SAMPLE_IDC 
        foreign key (SAMPLE_ID) 
        references SAMPLE;

    alter table MEASUREMENT_FILE 
        add constraint MEASUREMENT_FILE_OBJECT_TYPE_C 
        foreign key (OBJECT_TYPE_CD) 
        references OBJECT_TYPE;

    alter table MEASUREMENT_FILE 
        add constraint MEASUREMENT_FILE_QUAL_FLAG_CDC 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG;

    alter table MEASUREMENT_FILE 
        add constraint MEASUREMENT_FILE_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table MEASUREMENT_FILE 
        add constraint MEASUREMENT_FILE_PMFM_IDC 
        foreign key (PMFM_ID) 
        references PMFM;

    alter table MEASUREMENT_FILE 
        add constraint MEASUREMENT_FILE_ANAL_INST_IDC 
        foreign key (ANAL_INST_ID) 
        references ANALYSIS_INSTRUMENT;

    alter table MEASUREMENT_FILE 
        add constraint MEASUREMENT_FILE_REC_DEP_IDC 
        foreign key (REC_DEP_ID) 
        references DEPARTMENT;

    alter table MEASUREMENT_FILE 
        add constraint MEASUREMENT_FILE_SURVEY_IDC 
        foreign key (SURVEY_ID) 
        references SURVEY;

    alter table MEASUREMENT_FILE 
        add constraint MEASUREMENT_FILE_SAMPLING_OPEC 
        foreign key (SAMPLING_OPER_ID) 
        references SAMPLING_OPERATION;

    alter table MEAS_PROF_PROG 
        add constraint MEASURED_PROFILE_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME;

    alter table MEAS_PROF_PROG 
        add constraint PROGRAMME_MEAS_PROF_IDC 
        foreign key (MEAS_PROF_ID) 
        references MEASURED_PROFILE;

    alter table METHOD 
        add constraint METHOD_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table MONITORING_LOCATION 
        add constraint MONITORING_LOCATION_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table MONITORING_LOCATION 
        add constraint MONITORING_LOCATION_HARBOUR_CC 
        foreign key (HARBOUR_CD) 
        references HARBOUR;

    alter table MONITORING_LOCATION 
        add constraint MONITORING_LOCATION_POS_SYSTEC 
        foreign key (POS_SYSTEM_ID) 
        references POSITIONNING_SYSTEM;

    alter table MON_LOC_AREA 
        add constraint MON_LOC_AREA_MON_LOC_IDC 
        foreign key (MON_LOC_ID) 
        references MONITORING_LOCATION 
        on delete cascade;

    alter table MON_LOC_HIS_GEOM 
        add constraint MON_LOC_HIS_GEOM_POS_SYSTEM_IC 
        foreign key (POS_SYSTEM_ID) 
        references POSITIONNING_SYSTEM;

    alter table MON_LOC_HIS_GEOM 
        add constraint MON_LOC_HIS_GEOM_MON_LOC_IDC 
        foreign key (MON_LOC_ID) 
        references MONITORING_LOCATION;

    alter table MON_LOC_LINE 
        add constraint MON_LOC_LINE_MON_LOC_IDC 
        foreign key (MON_LOC_ID) 
        references MONITORING_LOCATION 
        on delete cascade;

    alter table MON_LOC_MET 
        add constraint MON_LOC_MET_MON_LOC_IDC 
        foreign key (MON_LOC_ID) 
        references MONITORING_LOCATION;

    alter table MON_LOC_MET 
        add constraint MON_LOC_MET_MET_CDC 
        foreign key (MET_CD) 
        references METAPROGRAMME 
        on delete cascade;

    alter table MON_LOC_ORDER_ITEM 
        add constraint MON_LOC_ORDER_ITEM_ORDER_ITEMC 
        foreign key (ORDER_ITEM_ID) 
        references ORDER_ITEM;

    alter table MON_LOC_ORDER_ITEM 
        add constraint MON_LOC_ORDER_ITEM_MON_LOC_IDC 
        foreign key (MON_LOC_ID) 
        references MONITORING_LOCATION;

    alter table MON_LOC_PMFM_MET 
        add constraint MON_LOC_MET_PMFM_MET_IDC 
        foreign key (PMFM_MET_ID) 
        references PMFM_MET;

    alter table MON_LOC_PMFM_MET 
        add constraint PMFM_MET_MON_LOC_MET_IDC 
        foreign key (MON_LOC_MET_ID) 
        references MON_LOC_MET;

    alter table MON_LOC_POINT 
        add constraint MON_LOC_POINT_MON_LOC_IDC 
        foreign key (MON_LOC_ID) 
        references MONITORING_LOCATION 
        on delete cascade;

    alter table MON_LOC_PROG 
        add constraint MON_LOC_PROG_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME 
        on delete cascade;

    alter table MON_LOC_PROG 
        add constraint MON_LOC_PROG_MON_LOC_IDC 
        foreign key (MON_LOC_ID) 
        references MONITORING_LOCATION;

    alter table MORATORIUM 
        add constraint MORATORIUM_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME;

    alter table MOR_CAMP 
        add constraint CAMPAIGN_MOR_IDC 
        foreign key (MOR_ID) 
        references MORATORIUM;

    alter table MOR_CAMP 
        add constraint MORATORIUM_CAMPAIGN_IDC 
        foreign key (CAMPAIGN_ID) 
        references CAMPAIGN;

    alter table MOR_MON_LOC_PROG 
        add constraint MORATORIUM_MON_LOC_PROG_IDC 
        foreign key (MON_LOC_PROG_ID) 
        references MON_LOC_PROG;

    alter table MOR_MON_LOC_PROG 
        add constraint MON_LOC_PROG_MOR_IDC 
        foreign key (MOR_ID) 
        references MORATORIUM;

    alter table MOR_OCCAS 
        add constraint OCCASION_MOR_IDC 
        foreign key (MOR_ID) 
        references MORATORIUM;

    alter table MOR_OCCAS 
        add constraint MORATORIUM_OCCAS_IDC 
        foreign key (OCCAS_ID) 
        references OCCASION;

    alter table MOR_PERIOD 
        add constraint MOR_PERIOD_MOR_IDC 
        foreign key (MOR_ID) 
        references MORATORIUM 
        on delete cascade;

    alter table NUMERICAL_PRECISION 
        add constraint NUMERICAL_PRECISION_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table OBSERVATION_TYPOLOGY 
        add constraint OBSERVATION_TYPOLOGY_STATUS_CC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table OBSERVED_HABITAT 
        add constraint OBSERVED_HABITAT_QUAL_FLAG_CDC 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG;

    alter table OBSERVED_HABITAT 
        add constraint OBSERVED_HABITAT_EUNIS_TYP_IDC 
        foreign key (EUNIS_TYP_ID) 
        references EUNIS_TYPOLOGY 
        on delete cascade;

    alter table OBSERVED_HABITAT 
        add constraint OBSERVED_HABITAT_REC_DEP_IDC 
        foreign key (REC_DEP_ID) 
        references DEPARTMENT;

    alter table OBSERVED_HABITAT 
        add constraint OBSERVED_HABITAT_SURVEY_IDC 
        foreign key (SURVEY_ID) 
        references SURVEY 
        on delete cascade;

    alter table OCCASION 
        add constraint OCCASION_REC_DEP_IDC 
        foreign key (REC_DEP_ID) 
        references DEPARTMENT;

    alter table OCCASION 
        add constraint OCCASION_CAMPAIGN_IDC 
        foreign key (CAMPAIGN_ID) 
        references CAMPAIGN;

    alter table OCCASION 
        add constraint OCCASION_POS_SYSTEM_IDC 
        foreign key (POS_SYSTEM_ID) 
        references POSITIONNING_SYSTEM;

    alter table OCCASION 
        add constraint OCCASION_SHIP_IDC 
        foreign key (SHIP_ID) 
        references SHIP;

    alter table OCCAS_AREA 
        add constraint OCCAS_AREA_OCCAS_IDC 
        foreign key (OCCAS_ID) 
        references OCCASION 
        on delete cascade;

    alter table OCCAS_LINE 
        add constraint OCCAS_LINE_OCCAS_IDC 
        foreign key (OCCAS_ID) 
        references OCCASION 
        on delete cascade;

    alter table OCCAS_POINT 
        add constraint OCCAS_POINT_OCCAS_IDC 
        foreign key (OCCAS_ID) 
        references OCCASION 
        on delete cascade;

    alter table OCCAS_QUSER 
        add constraint OCCASION_QUSER_IDC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table OCCAS_QUSER 
        add constraint QUSER_OCCAS_IDC 
        foreign key (OCCAS_ID) 
        references OCCASION;

    alter table ORDER_ITEM 
        add constraint ORDER_ITEM_ORDER_ITEM_TYPE_CDC 
        foreign key (ORDER_ITEM_TYPE_CD) 
        references ORDER_ITEM_TYPE 
        on delete cascade;

    alter table ORDER_ITEM_TYPE 
        add constraint ORDER_ITEM_TYPE_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table ORIGINAL_BATCH 
        add constraint BATCH_INIT_POP_IDN 
        foreign key (INIT_POP_ID) 
        references INITIAL_POPULATION;

    alter table ORIGINAL_BATCH 
        add constraint INITIAL_POPULATION_BATCH_IDC 
        foreign key (BATCH_ID) 
        references BATCH;

    alter table PARAMETER 
        add constraint PARAMETER_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table PARAMETER 
        add constraint PARAMETER_PAR_GROUP_IDC 
        foreign key (PAR_GROUP_ID) 
        references PARAMETER_GROUP;

    alter table PARAMETER_GROUP 
        add constraint PARAMETER_GROUP_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table PARAMETER_GROUP 
        add constraint PARAMETER_GROUP_PARENT_PAR_GRC 
        foreign key (PARENT_PAR_GROUP_ID) 
        references PARAMETER_GROUP;

    alter table PHOTO 
        add constraint PHOTO_PHOTO_TYPE_CDC 
        foreign key (PHOTO_TYPE_CD) 
        references PHOTO_TYPE;

    alter table PHOTO 
        add constraint PHOTO_QUAL_FLAG_CDC 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG;

    alter table PHOTO 
        add constraint PHOTO_OBJECT_TYPE_CDC 
        foreign key (OBJECT_TYPE_CD) 
        references OBJECT_TYPE;

    alter table PHOTO 
        add constraint PHOTO_REC_DEP_IDC 
        foreign key (REC_DEP_ID) 
        references DEPARTMENT;

    alter table PHOTO_TYPE 
        add constraint PHOTO_TYPE_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table PLOIDY 
        add constraint PLOIDY_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table PMFM 
        add constraint PMFM_UNIT_IDC 
        foreign key (UNIT_ID) 
        references UNIT;

    alter table PMFM 
        add constraint PMFM_MATRIX_IDC 
        foreign key (MATRIX_ID) 
        references MATRIX 
        on delete cascade;

    alter table PMFM 
        add constraint PMFM_FRACTION_IDC 
        foreign key (FRACTION_ID) 
        references FRACTION 
        on delete cascade;

    alter table PMFM 
        add constraint PMFM_PAR_CDC 
        foreign key (PAR_CD) 
        references PARAMETER 
        on delete cascade;

    alter table PMFM 
        add constraint PMFM_METHOD_IDC 
        foreign key (METHOD_ID) 
        references METHOD 
        on delete cascade;

    alter table PMFM 
        add constraint PMFM_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table PMFM_APPLIED_STRATEGY 
        add constraint PMFM_APPLIED_STRATEGY_PMFM_STC 
        foreign key (PMFM_STRAT_ID) 
        references PMFM_STRATEGY;

    alter table PMFM_APPLIED_STRATEGY 
        add constraint PMFM_APPLIED_STRATEGY_APPLIEDC 
        foreign key (APPLIED_STRAT_ID) 
        references APPLIED_STRATEGY 
        on delete cascade;

    alter table PMFM_APPLIED_STRATEGY 
        add constraint PMFM_APPLIED_STRATEGY_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table PMFM_APPLIED_STRATEGY 
        add constraint PMFM_APPLIED_STRATEGY_ANAL_INC 
        foreign key (ANAL_INST_ID) 
        references ANALYSIS_INSTRUMENT;

    alter table PMFM_CONTEXT_ORDER 
        add constraint PMFM_CONTEXT_ORDER_CONTEXT_IDC 
        foreign key (CONTEXT_ID) 
        references CONTEXT;

    alter table PMFM_CONTEXT_ORDER 
        add constraint PMFM_CONTEXT_ORDER_PMFM_IDC 
        foreign key (PMFM_ID) 
        references PMFM;

    alter table PMFM_MET 
        add constraint PMFM_MET_FRACTION_IDC 
        foreign key (FRACTION_ID) 
        references FRACTION;

    alter table PMFM_MET 
        add constraint PMFM_MET_MATRIX_IDC 
        foreign key (MATRIX_ID) 
        references MATRIX;

    alter table PMFM_MET 
        add constraint PMFM_MET_METHOD_IDC 
        foreign key (METHOD_ID) 
        references METHOD;

    alter table PMFM_MET 
        add constraint PMFM_MET_MET_CDC 
        foreign key (MET_CD) 
        references METAPROGRAMME;

    alter table PMFM_MET 
        add constraint PMFM_MET_PAR_CDC 
        foreign key (PAR_CD) 
        references PARAMETER;

    alter table PMFM_MOR 
        add constraint PMFM_MOR_METHOD_IDC 
        foreign key (METHOD_ID) 
        references METHOD;

    alter table PMFM_MOR 
        add constraint PMFM_MOR_FRACTION_IDC 
        foreign key (FRACTION_ID) 
        references FRACTION;

    alter table PMFM_MOR 
        add constraint PMFM_MOR_MOR_IDC 
        foreign key (MOR_ID) 
        references MORATORIUM;

    alter table PMFM_MOR 
        add constraint PMFM_MOR_PAR_CDC 
        foreign key (PAR_CD) 
        references PARAMETER;

    alter table PMFM_MOR 
        add constraint PMFM_MOR_MATRIX_IDC 
        foreign key (MATRIX_ID) 
        references MATRIX;

    alter table PMFM_QUAL_VALUE 
        add constraint PMFM_QUAL_VALUE_QUAL_VALUE_IDC 
        foreign key (QUAL_VALUE_ID) 
        references QUALITATIVE_VALUE;

    alter table PMFM_QUAL_VALUE 
        add constraint PMFM_QUAL_VALUE_PMFM_IDC 
        foreign key (PMFM_ID) 
        references PMFM 
        on delete cascade;

    alter table PMFM_STRATEGY 
        add constraint PMFM_STRATEGY_PMFM_IDC 
        foreign key (PMFM_ID) 
        references PMFM;

    alter table PMFM_STRATEGY 
        add constraint PMFM_STRATEGY_PREC_TYPE_IDC 
        foreign key (PREC_TYPE_ID) 
        references PRECISION_TYPE;

    alter table PMFM_STRATEGY 
        add constraint PMFM_STRATEGY_STRAT_IDC 
        foreign key (STRAT_ID) 
        references STRATEGY 
        on delete cascade;

    alter table PMFM_STRAT_ACQUIS_LEVEL 
        add constraint PMFM_STRATEGY_ACQUIS_LEVEL_CDC 
        foreign key (ACQUIS_LEVEL_CD) 
        references ACQUISITION_LEVEL;

    alter table PMFM_STRAT_ACQUIS_LEVEL 
        add constraint ACQUISITION_LEVEL_PMFM_STRAT_C 
        foreign key (PMFM_STRAT_ID) 
        references PMFM_STRATEGY;

    alter table PMFM_STRAT_UI_FUNCTION 
        add constraint PMFM_STRATEGY_UI_FUNCTION_CDC 
        foreign key (UI_FUNCTION_CD) 
        references UI_FUNCTION;

    alter table PMFM_STRAT_UI_FUNCTION 
        add constraint UI_FUNCTION_PMFM_STRAT_IDC 
        foreign key (PMFM_STRAT_ID) 
        references PMFM_STRATEGY;

    alter table POSITIONNING_SYSTEM 
        add constraint POSITIONNING_SYSTEM_POS_TYPE_C 
        foreign key (POS_TYPE_CD) 
        references POSITIONNING_TYPE;

    alter table POSITIONNING_TYPE 
        add constraint POSITIONNING_TYPE_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table PRECISION_TYPE 
        add constraint PRECISION_TYPE_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table PRIVILEGE 
        add constraint PRIVILEGE_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table PRIVILEGE_TRANSFER 
        add constraint PRIVILEGE_TRANSFER_PRIV_TRANSC 
        foreign key (PRIV_TRANSFER_TO_DEP_ID) 
        references DEPARTMENT 
        on delete cascade;

    alter table PRIVILEGE_TRANSFER 
        add constraint PRIVILEGE_TRANSFER_PRIV_TRANSI 
        foreign key (PRIV_TRANSFER_FROM_DEP_ID) 
        references DEPARTMENT;

    alter table PRIVILEGE_TRANSFER 
        add constraint PRIVILEGE_TRANSFER_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table PRODUCTION_SECTOR 
        add constraint PRODUCTION_SECTOR_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table PROD_SECTOR_AREA 
        add constraint PROD_SECTOR_AREA_PROD_SECTOR_C 
        foreign key (PROD_SECTOR_ID) 
        references PRODUCTION_SECTOR 
        on delete cascade;

    alter table PROGRAMME 
        add constraint PROGRAMME_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table PROG_DEP_PROG_PRIV 
        add constraint PROG_DEP_PROG_PRIV_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table PROG_DEP_PROG_PRIV 
        add constraint PROG_DEP_PROG_PRIV_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME 
        on delete cascade;

    alter table PROG_DEP_PROG_PRIV 
        add constraint PROG_DEP_PROG_PRIV_PROG_PRIV_C 
        foreign key (PROG_PRIV_ID) 
        references PROGRAMME_PRIVILEGE;

    alter table PROG_MEAS 
        add constraint MEASUREMENT_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME;

    alter table PROG_MEAS 
        add constraint PROGRAMME_MEAS_IDC 
        foreign key (MEAS_ID) 
        references MEASUREMENT;

    alter table PROG_MEAS_FILE 
        add constraint MEASUREMENT_FILE_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME;

    alter table PROG_MEAS_FILE 
        add constraint PROGRAMME_MEAS_FILE_IDC 
        foreign key (MEAS_FILE_ID) 
        references MEASUREMENT_FILE;

    alter table PROG_MET 
        add constraint METAPROGRAMME_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME;

    alter table PROG_MET 
        add constraint PROGRAMME_MET_CDC 
        foreign key (MET_CD) 
        references METAPROGRAMME;

    alter table PROG_QUSER_PROG_PRIV 
        add constraint PROG_QUSER_PROG_PRIV_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME 
        on delete cascade;

    alter table PROG_QUSER_PROG_PRIV 
        add constraint PROG_QUSER_PROG_PRIV_QUSER_IDC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table PROG_QUSER_PROG_PRIV 
        add constraint PROG_QUSER_PROG_PRIV_PROG_PRIC 
        foreign key (PROG_PRIV_ID) 
        references PROGRAMME_PRIVILEGE;

    alter table PROG_TAXON_MEAS 
        add constraint TAXON_MEASUREMENT_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME;

    alter table PROG_TAXON_MEAS 
        add constraint PROGRAMME_TAXON_MEAS_IDC 
        foreign key (TAXON_MEAS_ID) 
        references TAXON_MEASUREMENT;

    alter table PROJECTION_SYSTEM 
        add constraint PROJECTION_SYSTEM_UNIT_IDC 
        foreign key (UNIT_ID) 
        references UNIT;

    alter table PROJECTION_SYSTEM 
        add constraint PROJECTION_SYSTEM_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table QUALIFICATION_HISTORY 
        add constraint QUALIFICATION_HISTORY_OBJECT_C 
        foreign key (OBJECT_TYPE_CD) 
        references OBJECT_TYPE;

    alter table QUALIFICATION_HISTORY 
        add constraint QUALIFICATION_HISTORY_REF_TAXC 
        foreign key (REF_TAXON_ID) 
        references REFERENCE_TAXON;

    alter table QUALIFICATION_HISTORY 
        add constraint QUALIFICATION_HISTORY_QUAL_VAC 
        foreign key (QUAL_VALUE_ID) 
        references QUALITATIVE_VALUE;

    alter table QUALIFICATION_HISTORY 
        add constraint QUALIFICATION_HISTORY_TAXON_GC 
        foreign key (TAXON_GROUP_ID) 
        references TAXON_GROUP;

    alter table QUALIFICATION_HISTORY 
        add constraint QUALIFICATION_HISTORY_QUAL_FLC 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG;

    alter table QUALIFICATION_HISTORY 
        add constraint QUALIFICATION_HISTORY_QUSER_IC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table QUALITATIVE_VALUE 
        add constraint QUALITATIVE_VALUE_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table QUALITATIVE_VALUE 
        add constraint QUALITATIVE_VALUE_PAR_CDC 
        foreign key (PAR_CD) 
        references PARAMETER;

    alter table QUALITY_FLAG 
        add constraint QUALITY_FLAG_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table QUSER 
        add constraint QUSER_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table QUSER 
        add constraint QUSER_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table QUSER_MET 
        add constraint METAPROGRAMME_QUSER_IDC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table QUSER_MET 
        add constraint QUSER_MET_CDC 
        foreign key (MET_CD) 
        references METAPROGRAMME;

    alter table QUSER_PRIVILEGE 
        add constraint QUSER_PRIVILEGE_CDC 
        foreign key (PRIVILEGE_CD) 
        references PRIVILEGE;

    alter table QUSER_PRIVILEGE 
        add constraint PRIVILEGE_QUSER_IDC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table REFERENCE_DOCUMENT 
        add constraint REFERENCE_DOCUMENT_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table RESOURCE_TYPE 
        add constraint RESOURCE_TYPE_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table RESP_DEP_INIT_POP 
        add constraint DEPARTMENT_INIT_POP_IDC 
        foreign key (INIT_POP_ID) 
        references INITIAL_POPULATION;

    alter table RESP_DEP_INIT_POP 
        add constraint INITIAL_POPULATION_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table RESP_DEP_STRAT 
        add constraint STRATEGY_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table RESP_DEP_STRAT 
        add constraint DEPARTMENT_STRAT_IDC 
        foreign key (STRAT_ID) 
        references STRATEGY;

    alter table RESP_QUSER_INIT_POP 
        add constraint INITIAL_POPULATION_QUSER_IDC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table RESP_QUSER_INIT_POP 
        add constraint QUSER_INIT_POP_IDC 
        foreign key (INIT_POP_ID) 
        references INITIAL_POPULATION;

    alter table RESP_QUSER_STRAT 
        add constraint STRATEGY_QUSER_IDC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table RESP_QUSER_STRAT 
        add constraint QUSER_STRAT_IDC 
        foreign key (STRAT_ID) 
        references STRATEGY;

    alter table RULE 
        add constraint RULE_RULE_LIST_CDC 
        foreign key (RULE_LIST_CD) 
        references RULE_LIST;

    alter table RULE 
        add constraint RULE_FUNCTION_IDC 
        foreign key (FUNCTION_ID) 
        references FUNCTION;

    alter table RULE_LIST_CONTROLED_DEP 
        add constraint RULE_LIST_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table RULE_LIST_CONTROLED_DEP 
        add constraint DEPARTMENT_RULE_LIST_CDC 
        foreign key (RULE_LIST_CD) 
        references RULE_LIST;

    alter table RULE_LIST_PROG 
        add constraint PROGRAMME_RULE_LIST_CDC 
        foreign key (RULE_LIST_CD) 
        references RULE_LIST;

    alter table RULE_LIST_PROG 
        add constraint RULE_LIST_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME;

    alter table RULE_LIST_RESP_DEP 
        add constraint RULE_LIST_DEP_IDL 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table RULE_LIST_RESP_DEP 
        add constraint DEPARTMENT_RULE_LIST_CDL 
        foreign key (RULE_LIST_CD) 
        references RULE_LIST;

    alter table RULE_LIST_RESP_QUSER 
        add constraint QUSER_RULE_LIST_CDC 
        foreign key (RULE_LIST_CD) 
        references RULE_LIST;

    alter table RULE_LIST_RESP_QUSER 
        add constraint RULE_LIST_QUSER_IDC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table RULE_PARAMETER 
        add constraint RULE_PARAMETER_FUNCTION_PAR_IC 
        foreign key (FUNCTION_PAR_ID) 
        references FUNCTION_PARAMETER;

    alter table RULE_PARAMETER 
        add constraint RULE_PARAMETER_RULE_CDC 
        foreign key (RULE_CD) 
        references RULE;

    alter table RULE_PMFM 
        add constraint RULE_PMFM_MATRIX_IDC 
        foreign key (MATRIX_ID) 
        references MATRIX;

    alter table RULE_PMFM 
        add constraint RULE_PMFM_METHOD_IDC 
        foreign key (METHOD_ID) 
        references METHOD;

    alter table RULE_PMFM 
        add constraint RULE_PMFM_PAR_CDC 
        foreign key (PAR_CD) 
        references PARAMETER;

    alter table RULE_PMFM 
        add constraint RULE_PMFM_FRACTION_IDC 
        foreign key (FRACTION_ID) 
        references FRACTION;

    alter table RULE_PMFM 
        add constraint RULE_PMFM_RULE_CDC 
        foreign key (RULE_CD) 
        references RULE;

    alter table SAMPLE 
        add constraint SAMPLE_QUAL_FLAG_CDC 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG;

    alter table SAMPLE 
        add constraint SAMPLE_TAXON_GROUP_IDC 
        foreign key (TAXON_GROUP_ID) 
        references TAXON_GROUP;

    alter table SAMPLE 
        add constraint SAMPLE_SAMPLE_SIZE_UNIT_IDC 
        foreign key (SAMPLE_SIZE_UNIT_ID) 
        references UNIT;

    alter table SAMPLE 
        add constraint SAMPLE_REC_DEP_IDC 
        foreign key (REC_DEP_ID) 
        references DEPARTMENT;

    alter table SAMPLE 
        add constraint SAMPLE_SAMPLING_OPER_IDC 
        foreign key (SAMPLING_OPER_ID) 
        references SAMPLING_OPERATION;

    alter table SAMPLE 
        add constraint SAMPLE_MATRIX_IDC 
        foreign key (MATRIX_ID) 
        references MATRIX;

    alter table SAMPLE 
        add constraint SAMPLE_REF_TAXON_IDC 
        foreign key (REF_TAXON_ID) 
        references REFERENCE_TAXON;

    alter table SAMPLE_PROG 
        add constraint SAMPLE_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME;

    alter table SAMPLE_PROG 
        add constraint PROGRAMME_SAMPLE_IDC 
        foreign key (SAMPLE_ID) 
        references SAMPLE;

    alter table SAMPLING_EQUIPMENT 
        add constraint SAMPLING_EQUIPMENT_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table SAMPLING_EQUIPMENT 
        add constraint SAMPLING_EQUIPMENT_UNIT_IDC 
        foreign key (UNIT_ID) 
        references UNIT;

    alter table SAMPLING_OPERATION 
        add constraint SAMPLING_OPERATION_DEPTH_LEVEC 
        foreign key (DEPTH_LEVEL_ID) 
        references DEPTH_LEVEL;

    alter table SAMPLING_OPERATION 
        add constraint SAMPLING_OPERATION_QUAL_FLAG_C 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG;

    alter table SAMPLING_OPERATION 
        add constraint SAMPLING_OPERATION_SAMPLING_OC 
        foreign key (SAMPLING_OPER_DEPTH_UNIT_ID) 
        references UNIT;

    alter table SAMPLING_OPERATION 
        add constraint SAMPLING_OPERATION_BATCH_IDC 
        foreign key (BATCH_ID) 
        references BATCH;

    alter table SAMPLING_OPERATION 
        add constraint SAMPLING_OPERATION_SURVEY_IDC 
        foreign key (SURVEY_ID) 
        references SURVEY;

    alter table SAMPLING_OPERATION 
        add constraint SAMPLING_OPERATION_REC_DEP_IDC 
        foreign key (REC_DEP_ID) 
        references DEPARTMENT;

    alter table SAMPLING_OPERATION 
        add constraint SAMPLING_OPERATION_SAMPLING_OS 
        foreign key (SAMPLING_OPER_SIZE_UNIT_ID) 
        references UNIT;

    alter table SAMPLING_OPERATION 
        add constraint SAMPLING_OPERATION_SAMPLING_EC 
        foreign key (SAMPLING_EQUIPMENT_ID) 
        references SAMPLING_EQUIPMENT;

    alter table SAMPLING_OPERATION 
        add constraint SAMPLING_OPERATION_POS_SYSTEMC 
        foreign key (POS_SYSTEM_ID) 
        references POSITIONNING_SYSTEM;

    alter table SAMPLING_OPERATION 
        add constraint SAMPLING_OPERATION_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table SAMPLING_OPER_AREA 
        add constraint SAMPLING_OPER_AREA_SAMPLING_OC 
        foreign key (SAMPLING_OPER_ID) 
        references SAMPLING_OPERATION 
        on delete cascade;

    alter table SAMPLING_OPER_LINE 
        add constraint SAMPLING_OPER_LINE_SAMPLING_OC 
        foreign key (SAMPLING_OPER_ID) 
        references SAMPLING_OPERATION 
        on delete cascade;

    alter table SAMPLING_OPER_POINT 
        add constraint SAMPLING_OPER_POINT_SAMPLING_C 
        foreign key (SAMPLING_OPER_ID) 
        references SAMPLING_OPERATION 
        on delete cascade;

    alter table SAMPLING_OPER_PROG 
        add constraint SAMPLING_OPERATION_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME;

    alter table SAMPLING_OPER_PROG 
        add constraint PROGRAMME_SAMPLING_OPER_IDC 
        foreign key (SAMPLING_OPER_ID) 
        references SAMPLING_OPERATION;

    alter table SANDRE_ANALYSIS_INSTRUMENT_EXP 
        add constraint SANDRE_ANALYSIS_INSTRUMENT_EXC 
        foreign key (ANAL_INST_ID) 
        references ANALYSIS_INSTRUMENT 
        on delete cascade;

    alter table SANDRE_ANALYSIS_INSTRUMENT_IMP 
        add constraint SANDRE_ANALYSIS_INSTRUMENT_IMC 
        foreign key (ANAL_INST_ID) 
        references ANALYSIS_INSTRUMENT 
        on delete cascade;

    alter table SANDRE_ANALYST_EXP 
        add constraint SANDRE_ANALYST_EXP_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT 
        on delete cascade;

    alter table SANDRE_ANALYST_IMP 
        add constraint SANDRE_ANALYST_IMP_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT 
        on delete cascade;

    alter table SANDRE_BALISE_EQ 
        add constraint SANDRE_BALISE_EQ_SANDRE_XML_UC 
        foreign key (SANDRE_XML_UPPER_BAL_ID) 
        references SANDRE_XML_BALISE;

    alter table SANDRE_BALISE_EQ 
        add constraint SANDRE_BALISE_EQ_SANDRE_XML_BC 
        foreign key (SANDRE_XML_BAL_ID) 
        references SANDRE_XML_BALISE;

    alter table SANDRE_DEPTH_LEVEL_EXP 
        add constraint SANDRE_DEPTH_LEVEL_EXP_DEPTH_C 
        foreign key (DEPTH_LEVEL_ID) 
        references DEPTH_LEVEL 
        on delete cascade;

    alter table SANDRE_DEPTH_LEVEL_IMP 
        add constraint SANDRE_DEPTH_LEVEL_IMP_DEPTH_C 
        foreign key (DEPTH_LEVEL_ID) 
        references DEPTH_LEVEL 
        on delete cascade;

    alter table SANDRE_FRACTION_EXP 
        add constraint SANDRE_FRACTION_EXP_FRACTION_C 
        foreign key (FRACTION_ID) 
        references FRACTION 
        on delete cascade;

    alter table SANDRE_FRACTION_IMP 
        add constraint SANDRE_FRACTION_IMP_FRACTION_C 
        foreign key (FRACTION_ID) 
        references FRACTION 
        on delete cascade;

    alter table SANDRE_MATRIX_EXP 
        add constraint SANDRE_MATRIX_EXP_MATRIX_IDC 
        foreign key (MATRIX_ID) 
        references MATRIX 
        on delete cascade;

    alter table SANDRE_MATRIX_IMP 
        add constraint SANDRE_MATRIX_IMP_MATRIX_IDC 
        foreign key (MATRIX_ID) 
        references MATRIX 
        on delete cascade;

    alter table SANDRE_METHOD_EXP 
        add constraint SANDRE_METHOD_EXP_METHOD_IDC 
        foreign key (METHOD_ID) 
        references METHOD 
        on delete cascade;

    alter table SANDRE_METHOD_IMP 
        add constraint SANDRE_METHOD_IMP_METHOD_IDC 
        foreign key (METHOD_ID) 
        references METHOD 
        on delete cascade;

    alter table SANDRE_MON_LOC_EXP 
        add constraint SANDRE_MON_LOC_EXP_MON_LOC_IDC 
        foreign key (MON_LOC_ID) 
        references MONITORING_LOCATION 
        on delete cascade;

    alter table SANDRE_MON_LOC_IMP 
        add constraint SANDRE_MON_LOC_IMP_MON_LOC_IDC 
        foreign key (MON_LOC_ID) 
        references MONITORING_LOCATION 
        on delete cascade;

    alter table SANDRE_NUMERICAL_PRECISION_EXP 
        add constraint SANDRE_NUMERICAL_PRECISION_EXC 
        foreign key (NUM_PREC_ID) 
        references NUMERICAL_PRECISION 
        on delete cascade;

    alter table SANDRE_NUMERICAL_PRECISION_IMP 
        add constraint SANDRE_NUMERICAL_PRECISION_IMC 
        foreign key (NUM_PREC_ID) 
        references NUMERICAL_PRECISION 
        on delete cascade;

    alter table SANDRE_PARAMETER_EXP 
        add constraint SANDRE_PARAMETER_EXP_PAR_CDC 
        foreign key (PAR_CD) 
        references PARAMETER 
        on delete cascade;

    alter table SANDRE_PARAMETER_IMP 
        add constraint SANDRE_PARAMETER_IMP_PAR_CDC 
        foreign key (PAR_CD) 
        references PARAMETER 
        on delete cascade;

    alter table SANDRE_POSITIONNING_SYSTEM_EXP 
        add constraint SANDRE_POSITIONNING_SYSTEM_EXC 
        foreign key (POS_SYSTEM_ID) 
        references POSITIONNING_SYSTEM 
        on delete cascade;

    alter table SANDRE_POSITIONNING_SYSTEM_IMP 
        add constraint SANDRE_POSITIONNING_SYSTEM_IMC 
        foreign key (POS_SYSTEM_ID) 
        references POSITIONNING_SYSTEM 
        on delete cascade;

    alter table SANDRE_PRECISION_TYPE_EXP 
        add constraint SANDRE_PRECISION_TYPE_EXP_PREC 
        foreign key (PREC_TYPE_ID) 
        references PRECISION_TYPE 
        on delete cascade;

    alter table SANDRE_PRECISION_TYPE_IMP 
        add constraint SANDRE_PRECISION_TYPE_IMP_PREC 
        foreign key (PREC_TYPE_ID) 
        references PRECISION_TYPE 
        on delete cascade;

    alter table SANDRE_PROGRAMME_EXP 
        add constraint SANDRE_PROGRAMME_EXP_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME;

    alter table SANDRE_PROGRAMME_IMP 
        add constraint SANDRE_PROGRAMME_IMP_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME;

    alter table SANDRE_QUALITY_LEVEL_EXP 
        add constraint SANDRE_QUALITY_LEVEL_EXP_QUALC 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG 
        on delete cascade;

    alter table SANDRE_QUALITY_LEVEL_IMP 
        add constraint SANDRE_QUALITY_LEVEL_IMP_QUALC 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG 
        on delete cascade;

    alter table SANDRE_SAMPLER_EXP 
        add constraint SANDRE_SAMPLER_EXP_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT 
        on delete cascade;

    alter table SANDRE_SAMPLER_IMP 
        add constraint SANDRE_SAMPLER_IMP_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT 
        on delete cascade;

    alter table SANDRE_SAMPLING_EQUIPMENT_EXP 
        add constraint SANDRE_SAMPLING_EQUIPMENT_EXPC 
        foreign key (SAMPLING_EQUIPMENT_ID) 
        references SAMPLING_EQUIPMENT 
        on delete cascade;

    alter table SANDRE_SAMPLING_EQUIPMENT_IMP 
        add constraint SANDRE_SAMPLING_EQUIPMENT_IMPC 
        foreign key (SAMPLING_EQUIPMENT_ID) 
        references SAMPLING_EQUIPMENT 
        on delete cascade;

    alter table SANDRE_TAXONOMIC_LEVEL_EXP 
        add constraint SANDRE_TAXONOMIC_LEVEL_EXP_TAC 
        foreign key (TAX_LEVEL_CD) 
        references TAXONOMIC_LEVEL 
        on delete cascade;

    alter table SANDRE_TAXONOMIC_LEVEL_IMP 
        add constraint SANDRE_TAXONOMIC_LEVEL_IMP_TAC 
        foreign key (TAX_LEVEL_CD) 
        references TAXONOMIC_LEVEL 
        on delete cascade;

    alter table SANDRE_TAXON_EXP 
        add constraint SANDRE_TAXON_EXP_REF_TAXON_IDC 
        foreign key (REF_TAXON_ID) 
        references REFERENCE_TAXON 
        on delete cascade;

    alter table SANDRE_TAXON_GROUP_EXP 
        add constraint SANDRE_TAXON_GROUP_EXP_TAXON_C 
        foreign key (TAXON_GROUP_ID) 
        references TAXON_GROUP 
        on delete cascade;

    alter table SANDRE_TAXON_GROUP_IMP 
        add constraint SANDRE_TAXON_GROUP_IMP_TAXON_C 
        foreign key (TAXON_GROUP_ID) 
        references TAXON_GROUP 
        on delete cascade;

    alter table SANDRE_TAXON_IMP 
        add constraint SANDRE_TAXON_IMP_REF_TAXON_IDC 
        foreign key (REF_TAXON_ID) 
        references REFERENCE_TAXON 
        on delete cascade;

    alter table SANDRE_UNIT_EXP 
        add constraint SANDRE_UNIT_EXP_UNIT_IDC 
        foreign key (UNIT_ID) 
        references UNIT;

    alter table SANDRE_UNIT_IMP 
        add constraint SANDRE_UNIT_IMP_UNIT_IDC 
        foreign key (UNIT_ID) 
        references UNIT;

    alter table SELECTION 
        add constraint SELECTION_OBJECT_TYPE_CDC 
        foreign key (OBJECT_TYPE_CD) 
        references OBJECT_TYPE;

    alter table SELECTION 
        add constraint SELECTION_QUSER_IDC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table SELECTION_ITEM 
        add constraint SELECTION_ITEM_SEL_IDC 
        foreign key (SEL_ID) 
        references SELECTION 
        on delete cascade;

    alter table STRATEGY 
        add constraint STRATEGY_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME 
        on delete cascade;

    alter table SURVEY 
        add constraint SURVEY_SURVEY_BOTTOM_DEPTH_UNC 
        foreign key (SURVEY_BOTTOM_DEPTH_UNIT_ID) 
        references UNIT;

    alter table SURVEY 
        add constraint SURVEY_MON_LOC_IDC 
        foreign key (MON_LOC_ID) 
        references MONITORING_LOCATION;

    alter table SURVEY 
        add constraint SURVEY_POS_SYSTEM_IDC 
        foreign key (POS_SYSTEM_ID) 
        references POSITIONNING_SYSTEM;

    alter table SURVEY 
        add constraint SURVEY_CAMPAIGN_IDC 
        foreign key (CAMPAIGN_ID) 
        references CAMPAIGN;

    alter table SURVEY 
        add constraint SURVEY_REC_DEP_IDC 
        foreign key (REC_DEP_ID) 
        references DEPARTMENT;

    alter table SURVEY 
        add constraint SURVEY_DREDGING_TARGET_AREA_CC 
        foreign key (DREDGING_TARGET_AREA_CD) 
        references DREDGING_TARGET_AREA;

    alter table SURVEY 
        add constraint SURVEY_QUAL_FLAG_CDC 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG;

    alter table SURVEY 
        add constraint SURVEY_OCCAS_IDC 
        foreign key (OCCAS_ID) 
        references OCCASION;

    alter table SURVEY_AREA 
        add constraint SURVEY_AREA_SURVEY_IDC 
        foreign key (SURVEY_ID) 
        references SURVEY 
        on delete cascade;

    alter table SURVEY_LINE 
        add constraint SURVEY_LINE_SURVEY_IDC 
        foreign key (SURVEY_ID) 
        references SURVEY 
        on delete cascade;

    alter table SURVEY_POINT 
        add constraint SURVEY_POINT_SURVEY_IDC 
        foreign key (SURVEY_ID) 
        references SURVEY 
        on delete cascade;

    alter table SURVEY_PROG 
        add constraint SURVEY_PROG_CDC 
        foreign key (PROG_CD) 
        references PROGRAMME;

    alter table SURVEY_PROG 
        add constraint PROGRAMME_SURVEY_IDC 
        foreign key (SURVEY_ID) 
        references SURVEY;

    alter table SURVEY_QUSER 
        add constraint SURVEY_QUSER_IDC 
        foreign key (QUSER_ID) 
        references QUSER;

    alter table SURVEY_QUSER 
        add constraint QUSER_SURVEY_IDC 
        foreign key (SURVEY_ID) 
        references SURVEY;

    alter table TAXONOMIC_LEVEL 
        add constraint TAXONOMIC_LEVEL_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table TAXON_GROUP 
        add constraint TAXON_GROUP_PARENT_TAXON_GROUC 
        foreign key (PARENT_TAXON_GROUP_ID) 
        references TAXON_GROUP;

    alter table TAXON_GROUP 
        add constraint TAXON_GROUP_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table TAXON_GROUP 
        add constraint TAXON_GROUP_TAXON_GROUP_TYPE_C 
        foreign key (TAXON_GROUP_TYPE_CD) 
        references TAXON_GROUP_TYPE;

    alter table TAXON_GROUP_HISTORICAL_RECORD 
        add constraint TAXON_GROUP_HISTORICAL_RECORDC 
        foreign key (TAXON_NAME_ID) 
        references TAXON_NAME;

    alter table TAXON_GROUP_HISTORICAL_RECORD 
        add constraint TAXON_GROUP_HISTORICAL_RECORDS 
        foreign key (TAXON_GROUP_ID) 
        references TAXON_GROUP;

    alter table TAXON_GROUP_INFORMATION 
        add constraint TAXON_GROUP_INFORMATION_REF_DC 
        foreign key (REF_DOC_ID) 
        references REFERENCE_DOCUMENT;

    alter table TAXON_GROUP_INFORMATION 
        add constraint TAXON_GROUP_INFORMATION_TAXONC 
        foreign key (TAXON_GROUP_ID) 
        references TAXON_GROUP;

    alter table TAXON_GROUP_POSITION 
        add constraint TAXON_GROUP_POSITION_TAXON_GRC 
        foreign key (TAXON_GROUP_ID) 
        references TAXON_GROUP 
        on delete cascade;

    alter table TAXON_GROUP_POSITION 
        add constraint TAXON_GROUP_POSITION_MON_LOC_C 
        foreign key (MON_LOC_ID) 
        references MONITORING_LOCATION;

    alter table TAXON_GROUP_POSITION 
        add constraint TAXON_GROUP_POSITION_RES_TYPEC 
        foreign key (RES_TYPE_ID) 
        references RESOURCE_TYPE;

    alter table TAXON_GROUP_TYPE 
        add constraint TAXON_GROUP_TYPE_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table TAXON_INFORMATION 
        add constraint TAXON_INFORMATION_TAXON_NAME_C 
        foreign key (TAXON_NAME_ID) 
        references TAXON_NAME;

    alter table TAXON_INFORMATION 
        add constraint TAXON_INFORMATION_REF_DOC_IDC 
        foreign key (REF_DOC_ID) 
        references REFERENCE_DOCUMENT;

    alter table TAXON_INFORMATION_HISTORY 
        add constraint TAXON_INFORMATION_HISTORY_TAXC 
        foreign key (TAXON_NAME_HIST_ID) 
        references TAXON_NAME_HISTORY;

    alter table TAXON_INFORMATION_HISTORY 
        add constraint TAXON_INFORMATION_HISTORY_REFC 
        foreign key (REF_DOC_ID) 
        references REFERENCE_DOCUMENT;

    alter table TAXON_MEASUREMENT 
        add constraint TAXON_MEASUREMENT_SAMPLE_IDC 
        foreign key (SAMPLE_ID) 
        references SAMPLE;

    alter table TAXON_MEASUREMENT 
        add constraint TAXON_MEASUREMENT_TAXON_GROUPC 
        foreign key (TAXON_GROUP_ID) 
        references TAXON_GROUP;

    alter table TAXON_MEASUREMENT 
        add constraint TAXON_MEASUREMENT_PMFM_IDC 
        foreign key (PMFM_ID) 
        references PMFM;

    alter table TAXON_MEASUREMENT 
        add constraint TAXON_MEASUREMENT_REF_TAXON_IC 
        foreign key (REF_TAXON_ID) 
        references REFERENCE_TAXON;

    alter table TAXON_MEASUREMENT 
        add constraint TAXON_MEASUREMENT_REC_DEP_IDC 
        foreign key (REC_DEP_ID) 
        references DEPARTMENT;

    alter table TAXON_MEASUREMENT 
        add constraint TAXON_MEASUREMENT_QUAL_FLAG_CC 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG;

    alter table TAXON_MEASUREMENT 
        add constraint TAXON_MEASUREMENT_NUM_PREC_IDC 
        foreign key (NUM_PREC_ID) 
        references NUMERICAL_PRECISION;

    alter table TAXON_MEASUREMENT 
        add constraint TAXON_MEASUREMENT_PREC_TYPE_IC 
        foreign key (PREC_TYPE_ID) 
        references PRECISION_TYPE;

    alter table TAXON_MEASUREMENT 
        add constraint TAXON_MEASUREMENT_DEP_IDC 
        foreign key (DEP_ID) 
        references DEPARTMENT;

    alter table TAXON_MEASUREMENT 
        add constraint TAXON_MEASUREMENT_OBJECT_TYPEC 
        foreign key (OBJECT_TYPE_CD) 
        references OBJECT_TYPE;

    alter table TAXON_MEASUREMENT 
        add constraint TAXON_MEASUREMENT_ANAL_INST_IC 
        foreign key (ANAL_INST_ID) 
        references ANALYSIS_INSTRUMENT;

    alter table TAXON_MEASUREMENT 
        add constraint TAXON_MEASUREMENT_QUAL_VALUE_C 
        foreign key (QUAL_VALUE_ID) 
        references QUALITATIVE_VALUE;

    alter table TAXON_MEASUREMENT 
        add constraint TAXON_MEASUREMENT_SURVEY_IDC 
        foreign key (SURVEY_ID) 
        references SURVEY;

    alter table TAXON_MEASUREMENT 
        add constraint TAXON_MEASUREMENT_SAMPLING_OPC 
        foreign key (SAMPLING_OPER_ID) 
        references SAMPLING_OPERATION;

    alter table TAXON_MEASUREMENT 
        add constraint TAXON_MEASUREMENT_TAXON_NAME_C 
        foreign key (TAXON_NAME_ID) 
        references TAXON_NAME;

    alter table TAXON_NAME 
        add constraint TAXON_NAME_CIT_IDC 
        foreign key (CIT_ID) 
        references CITATION;

    alter table TAXON_NAME 
        add constraint TAXON_NAME_PARENT_TAXON_NAME_C 
        foreign key (PARENT_TAXON_NAME_ID) 
        references TAXON_NAME;

    alter table TAXON_NAME 
        add constraint TAXON_NAME_TAX_LEVEL_CDC 
        foreign key (TAX_LEVEL_CD) 
        references TAXONOMIC_LEVEL;

    alter table TAXON_NAME 
        add constraint TAXON_NAME_REF_TAXON_IDC 
        foreign key (REF_TAXON_ID) 
        references REFERENCE_TAXON;

    alter table TAXON_NAME_HISTORY 
        add constraint TAXON_NAME_HISTORY_CIT_IDC 
        foreign key (CIT_ID) 
        references CITATION;

    alter table TAXON_NAME_HISTORY 
        add constraint TAXON_NAME_HISTORY_PARENT_TAXC 
        foreign key (PARENT_TAXON_NAME_ID) 
        references TAXON_NAME;

    alter table TAXON_NAME_HISTORY 
        add constraint TAXON_NAME_HISTORY_TAXON_NAMEC 
        foreign key (TAXON_NAME_ID) 
        references TAXON_NAME;

    alter table TAXON_POSITION 
        add constraint TAXON_POSITION_REF_TAXON_IDC 
        foreign key (REF_TAXON_ID) 
        references REFERENCE_TAXON;

    alter table TAXON_POSITION 
        add constraint TAXON_POSITION_MON_LOC_IDC 
        foreign key (MON_LOC_ID) 
        references MONITORING_LOCATION;

    alter table TAXON_POSITION 
        add constraint TAXON_POSITION_RES_TYPE_IDC 
        foreign key (RES_TYPE_ID) 
        references RESOURCE_TYPE;

    alter table TRANSCRIBING_ITEM 
        add constraint TRANSCRIBING_ITEM_TRANSC_ITEMC 
        foreign key (TRANSC_ITEM_TYPE_ID) 
        references TRANSCRIBING_ITEM_TYPE;

    alter table TRANSCRIBING_ITEM_TYPE 
        add constraint TRANSCRIBING_ITEM_TYPE_OBJECTC 
        foreign key (OBJECT_TYPE_CD) 
        references OBJECT_TYPE;

    alter table TRANSCRIBING_ITEM_TYPE 
        add constraint TRANSCRIBING_ITEM_TYPE_TRANSCC 
        foreign key (TRANSC_SIDE_ID) 
        references TRANSCRIBING_SIDE;

    alter table TRANSCRIBING_ITEM_TYPE 
        add constraint TRANSCRIBING_ITEM_TYPE_STATUSC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table UI_FUNCTION 
        add constraint UI_FUNCTION_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table UNIT 
        add constraint UNIT_STATUS_CDC 
        foreign key (STATUS_CD) 
        references STATUS;

    alter table VIDEO 
        add constraint VIDEO_QUAL_FLAG_CDC 
        foreign key (QUAL_FLAG_CD) 
        references QUALITY_FLAG;

    alter table VIDEO 
        add constraint VIDEO_SURVEY_IDC 
        foreign key (SURVEY_ID) 
        references SURVEY;

    alter table VIRTUAL_COMPONENT 
        add constraint VIRTUAL_COMPONENT_TAXON_NAME_C 
        foreign key (TAXON_NAME_ID) 
        references TAXON_NAME;

    alter table VIRTUAL_COMPONENT 
        add constraint VIRTUAL_COMPONENT_REF_TAXON_IC 
        foreign key (REF_TAXON_ID) 
        references REFERENCE_TAXON;

    create sequence ALTERNATIVE_TAXON_SEQ;

    create sequence ANALYSIS_INSTRUMENT_SEQ;

    create sequence APPLIED_STRATEGY_SEQ;

    create sequence AUTHOR_SEQ;

    create sequence BATCH_SEQ;

    create sequence BUG_REPORT_SEQ;

    create sequence CAMPAIGN_SEQ;

    create sequence CITATION_SEQ;

    create sequence CLASSIFIED_SHELLFISH_AREA_SEQ;

    create sequence CODE_SIZE_SEQ;

    create sequence COMPUTE_MEASUREMENT_SEQ;

    create sequence CONTEXT_SEQ;

    create sequence COORDINATES_TRANSFORMATION_SEQ;

    create sequence DEFAULT_VALUE_SEQ;

    create sequence DELETED_ITEM_HISTORY_SEQ;

    create sequence DEPARTMENT_SEQ;

    create sequence DEPTH_LEVEL_SEQ;

    create sequence EUNIS_EQUIVALENCE_SEQ;

    create sequence EUNIS_TYPOLOGY_SEQ;

    create sequence EUNIS_VERSION_SEQ;

    create sequence EVENT_SEQ;

    create sequence EVENT_TYPE_SEQ;

    create sequence EXTRACT_FIELD_SEQ;

    create sequence EXTRACT_FILTER_SEQ;

    create sequence EXTRACT_SELECTED_GEOMETRY_SEQ;

    create sequence EXTRACT_SURVEY_PERIOD_SEQ;

    create sequence EXTRACT_TABLE_SEQ;

    create sequence FIELD_OBSERVATION_SEQ;

    create sequence FILTER_BLOCK_SEQ;

    create sequence FILTER_CRITERIA_SEQ;

    create sequence FILTER_CRITERIA_TYPE_SEQ;

    create sequence FILTER_CRITERIA_VALUE_SEQ;

    create sequence FILTER_OPERATOR_TYPE_SEQ;

    create sequence FILTER_SEQ;

    create sequence FILTER_TYPE_SEQ;

    create sequence FRACTION_SEQ;

    create sequence FUNCTION_PARAMETER_SEQ;

    create sequence FUNCTION_SEQ;

    create sequence HISTORICAL_ACCOUNT_SEQ;

    create sequence INITIAL_POPULATION_SEQ;

    create sequence JOB_SEQ;

    create sequence LOCATION_SEQ;

    create sequence LOC_POINT_SEQ;

    create sequence MAP_PROJECT_SEQ;

    create sequence MATRIX_SEQ;

    create sequence MEASURED_PROFILE_SEQ;

    create sequence MEASUREMENT_FILE_SEQ;

    create sequence MEASUREMENT_SEQ;

    create sequence METHOD_SEQ;

    create sequence MONITORING_LOCATION_SEQ;

    create sequence MON_LOC_HIS_GEOM_SEQ;

    create sequence MON_LOC_MET_SEQ;

    create sequence MON_LOC_PROG_SEQ;

    create sequence MORATORIUM_SEQ;

    create sequence NUMERICAL_PRECISION_SEQ;

    create sequence OBSERVED_HABITAT_SEQ;

    create sequence OCCASION_SEQ;

    create sequence ORDER_ITEM_SEQ;

    create sequence PARAMETER_GROUP_SEQ;

    create sequence PHOTO_SEQ;

    create sequence PLOIDY_SEQ;

    create sequence PMFM_MET_SEQ;

    create sequence PMFM_MOR_SEQ;

    create sequence PMFM_SEQ;

    create sequence PMFM_STRATEGY_SEQ;

    create sequence POSITIONNING_SYSTEM_SEQ;

    create sequence PRECISION_TYPE_SEQ;

    create sequence PRODUCTION_SECTOR_SEQ;

    create sequence PROD_SECTOR_AREA_SEQ;

    create sequence PROGRAMME_PRIVILEGE_SEQ;

    create sequence QUALIFICATION_HISTORY_SEQ;

    create sequence QUALITATIVE_VALUE_SEQ;

    create sequence QUSER_SEQ;

    create sequence REFERENCE_DOCUMENT_SEQ;

    create sequence REFERENCE_TAXON_SEQ;

    create sequence RESOURCE_TYPE_SEQ;

    create sequence RULE_PARAMETER_SEQ;

    create sequence RULE_PMFM_SEQ;

    create sequence SAMPLE_SEQ;

    create sequence SAMPLING_EQUIPMENT_SEQ;

    create sequence SAMPLING_OPERATION_SEQ;

    create sequence SANDRE_ANALYSIS_INSTRUMENT_SEQ;

    create sequence SANDRE_ANALYST_EXP_SEQ;

    create sequence SANDRE_ANALYST_IMP_SEQ;

    create sequence SANDRE_BALISE_EQ_SEQ;

    create sequence SANDRE_DEPTH_LEVEL_EXP_SEQ;

    create sequence SANDRE_DEPTH_LEVEL_IMP_SEQ;

    create sequence SANDRE_FRACTION_EXP_SEQ;

    create sequence SANDRE_FRACTION_IMP_SEQ;

    create sequence SANDRE_MATRIX_EXP_SEQ;

    create sequence SANDRE_MATRIX_IMP_SEQ;

    create sequence SANDRE_METHOD_EXP_SEQ;

    create sequence SANDRE_METHOD_IMP_SEQ;

    create sequence SANDRE_MON_LOC_EXP_SEQ;

    create sequence SANDRE_MON_LOC_IMP_SEQ;

    create sequence SANDRE_NUMERICAL_PRECISION_SEQ;

    create sequence SANDRE_PARAMETER_EXP_SEQ;

    create sequence SANDRE_PARAMETER_IMP_SEQ;

    create sequence SANDRE_POSITIONNING_SYSTEM_SEQ;

    create sequence SANDRE_PRECISION_TYPE_EXP_SEQ;

    create sequence SANDRE_PRECISION_TYPE_IMP_SEQ;

    create sequence SANDRE_PROGRAMME_EXP_SEQ;

    create sequence SANDRE_PROGRAMME_IMP_SEQ;

    create sequence SANDRE_QUALITY_LEVEL_EXP_SEQ;

    create sequence SANDRE_QUALITY_LEVEL_IMP_SEQ;

    create sequence SANDRE_SAMPLER_EXP_SEQ;

    create sequence SANDRE_SAMPLER_IMP_SEQ;

    create sequence SANDRE_SAMPLING_EQUIPMENT__SEQ;

    create sequence SANDRE_TAXONOMIC_LEVEL_EXP_SEQ;

    create sequence SANDRE_TAXONOMIC_LEVEL_IMP_SEQ;

    create sequence SANDRE_TAXON_EXP_SEQ;

    create sequence SANDRE_TAXON_GROUP_EXP_SEQ;

    create sequence SANDRE_TAXON_GROUP_IMP_SEQ;

    create sequence SANDRE_TAXON_IMP_SEQ;

    create sequence SANDRE_UNIT_EXP_SEQ;

    create sequence SANDRE_UNIT_IMP_SEQ;

    create sequence SANDRE_XML_BALISE_SEQ;

    create sequence SELECTION_ITEM_SEQ;

    create sequence SELECTION_SEQ;

    create sequence SHIP_SEQ;

    create sequence STRATEGY_SEQ;

    create sequence SURVEY_SEQ;

    create sequence SYSTEM_VERSION_SEQ;

    create sequence TAXON_GROUP_HISTORICAL_REC_SEQ;

    create sequence TAXON_GROUP_SEQ;

    create sequence TAXON_MEASUREMENT_SEQ;

    create sequence TAXON_NAME_HISTORY_SEQ;

    create sequence TAXON_NAME_SEQ;

    create sequence TEMP_QUERY_PARAMETER_SEQ;

    create sequence TRANSCRIBING_ITEM_SEQ;

    create sequence TRANSCRIBING_ITEM_TYPE_SEQ;

    create sequence TRANSCRIBING_SIDE_SEQ;

    create sequence UNIT_SEQ;

    create sequence VIDEO_SEQ;
